GNU bug report logs - #45817
28.0.50; Native fails

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Kirill A. Korinsky" <kirill@HIDDEN>; Done: Andrea Corallo <akrl@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 45817 <at> debbugs.gnu.org:


Received: (at 45817) by debbugs.gnu.org; 14 Jan 2021 14:31:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 09:31:38 2021
Received: from localhost ([127.0.0.1]:37601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l03ez-0006VD-Gc
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2021 09:31:38 -0500
Received: from mx.sdf.org ([205.166.94.24]:55752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1l03ev-0006PI-RH
 for 45817 <at> debbugs.gnu.org; Thu, 14 Jan 2021 09:31:34 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 10EEVUu8003850
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Thu, 14 Jan 2021 14:31:30 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#45817: 28.0.50; Native fails
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <xjfturmc5dt.fsf@HIDDEN>
 <8D26BD1C-F176-4F8F-9D95-3035DBD9FB0C@HIDDEN>
 <xjfh7nldhrw.fsf@HIDDEN>
 <FC32037E-7C3F-45D8-9BAA-71423032F85D@HIDDEN>
 <968E34D7-5E68-4365-A742-735CD8379ACB@HIDDEN>
 <83wnwgb3d9.fsf@HIDDEN> <xjf5z3z50cj.fsf@HIDDEN>
 <83sg73bomx.fsf@HIDDEN>
Date: Thu, 14 Jan 2021 14:31:30 +0000
In-Reply-To: <83sg73bomx.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 14 Jan
 2021 16:04:54 +0200")
Message-ID: <xjfim7z37zx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 45817
Cc: 45817 <at> debbugs.gnu.org, kirill@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Andrea Corallo <akrl@HIDDEN>
>> Cc: "Kirill A. Korinsky" <kirill@HIDDEN>, 45817 <at> debbugs.gnu.org
>> Date: Thu, 14 Jan 2021 09:33:48 +0000
>> 
>> > Is this specific to macOS?
>> >
>> > In any case, if it's known that specific versions of GCC cause
>> > problems on specific platforms, we should reject those versions (for
>> > the libgccjit usage purposes) in configure, I think.
>> 
>> We do, not based on the version but (even better I think) we run a
>> functional test at configure time.  The test use libgccjit to produce a
>> shared, then this is loaded and used to ensure all the complete
>> mechanism is functional.
>
> Yes, but such tests can only verify that the basics work, whereas the
> OP seemed to indicate that it generally works, but fails in some
> subtle situation.  If libgccjit you are testing at configure time only
> "mostly" works, you will be unable to detect that with simple tests.
> For such subtly broken versions of libgccjit, we have no practical
> means but looking at their version.

I agree, but so far I've no information of a broken libgccjit version
that we don't manage to work around.  I'm talking about if compiled and
installed from source code.  Some distros showed to have issues with
certain packaged versions, but those fails immediately with the
configure test we have.

If we find a libgccjit version we know we can't work with I agree we
should reject the version.

For this specific purpose I've introduced (in GCC10) an entry point in
libgccjit that is returning the version.

This is exposed to Lisp as `comp-libgccjit-version' so for GCC>=10 we
can control this also dynamically and not only at configure time.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at 45817 <at> debbugs.gnu.org:


Received: (at 45817) by debbugs.gnu.org; 14 Jan 2021 14:05:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 09:05:04 2021
Received: from localhost ([127.0.0.1]:37548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l03FI-0004IT-9Y
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2021 09:05:04 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1l03FF-0004Hx-UM
 for 45817 <at> debbugs.gnu.org; Thu, 14 Jan 2021 09:05:02 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50925)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1l03F9-0000du-SQ; Thu, 14 Jan 2021 09:04:55 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1261
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1l03F9-00089r-1M; Thu, 14 Jan 2021 09:04:55 -0500
Date: Thu, 14 Jan 2021 16:04:54 +0200
Message-Id: <83sg73bomx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjf5z3z50cj.fsf@HIDDEN> (message from Andrea Corallo on Thu, 14
 Jan 2021 09:33:48 +0000)
Subject: Re: bug#45817: 28.0.50; Native fails
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <xjfturmc5dt.fsf@HIDDEN>
 <8D26BD1C-F176-4F8F-9D95-3035DBD9FB0C@HIDDEN>
 <xjfh7nldhrw.fsf@HIDDEN>
 <FC32037E-7C3F-45D8-9BAA-71423032F85D@HIDDEN>
 <968E34D7-5E68-4365-A742-735CD8379ACB@HIDDEN>
 <83wnwgb3d9.fsf@HIDDEN> <xjf5z3z50cj.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45817
Cc: 45817 <at> debbugs.gnu.org, kirill@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: "Kirill A. Korinsky" <kirill@HIDDEN>, 45817 <at> debbugs.gnu.org
> Date: Thu, 14 Jan 2021 09:33:48 +0000
> 
> > Is this specific to macOS?
> >
> > In any case, if it's known that specific versions of GCC cause
> > problems on specific platforms, we should reject those versions (for
> > the libgccjit usage purposes) in configure, I think.
> 
> We do, not based on the version but (even better I think) we run a
> functional test at configure time.  The test use libgccjit to produce a
> shared, then this is loaded and used to ensure all the complete
> mechanism is functional.

Yes, but such tests can only verify that the basics work, whereas the
OP seemed to indicate that it generally works, but fails in some
subtle situation.  If libgccjit you are testing at configure time only
"mostly" works, you will be unable to detect that with simple tests.
For such subtly broken versions of libgccjit, we have no practical
means but looking at their version.

> I think in this specific case somenthing happend (maybe OS upgrade?) as
> when Emacs was compiled libgccjit clearly was working.

If that is the case, then there's no problem we need to solve here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at 45817 <at> debbugs.gnu.org:


Received: (at 45817) by debbugs.gnu.org; 14 Jan 2021 10:52:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 05:52:18 2021
Received: from localhost ([127.0.0.1]:37287 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l00Ek-0003SC-Hm
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2021 05:52:18 -0500
Received: from sender4-op-o12.zoho.com ([136.143.188.12]:17215)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kirill@HIDDEN>) id 1l00Ej-0003S4-5n
 for 45817 <at> debbugs.gnu.org; Thu, 14 Jan 2021 05:52:17 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1610621525; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=OY0lrNuEzdoqabmyK2tUJYmZiX5yGtEI82ugkk31Iq6hNXctxZGqxr5Wm83zruIQ/tp+rWskT7fIRCfmW/pUwbIl1OxifoCFXxT9BBVVcozAhhOkURgR86LWbjq9QyabUpgWKORbhUdlYOsmkI4kFqNgdxX+xek9Rt98WadF1l8=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1610621525;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=/Lv6fzE+ZxXMdimAAjaaTPCl851lDX5wSYWYoUVPbuM=; 
 b=XCC/+td0pXBPKteDQX08ZBTCpSglYzJ/rvgste0cyt5YFz5c4SRRbI41eSJ3E1iP74CuFC8mCe6PYX8aFNRwarqpVcllOfo4M9Ecu9qpGf1sO5f6ZnGTt+0M9ySg/IJTqVvxJ/IymQUPq0JNoldrMwLO8kSDRfz4xhs0LADKduA=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=korins.ky;
 spf=pass  smtp.mailfrom=kirill@HIDDEN;
 dmarc=pass header.from=<kirill@HIDDEN> header.from=<kirill@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1610621525; 
 s=april2018zoho; d=korins.ky; i=kirill@HIDDEN;
 h=Content-Type:Mime-Version:Subject:From:In-Reply-To:Date:Cc:Message-Id:References:To;
 bh=/Lv6fzE+ZxXMdimAAjaaTPCl851lDX5wSYWYoUVPbuM=;
 b=fPtOAyAUAq49SDIZ2e4ocmmhbn38x8udl89n4t3+Y6Ms4kvJW57wp79JLeAPH3P/
 LPSYxd3K9b2djOqqHTtoDLRmkGwb4h1UGfFsMBtgrbhSC+kgBWcU1ROu11JQgoAHLjs
 AuFSKD0BvkJbwgG42ScydNv5W/B2C73AfX52wME8=
Received: from macbook-pro.sa31-cbt.catap.net (sa31.catap.net [90.187.54.213])
 by mx.zohomail.com with SMTPS id 161062152293749.07544592742181;
 Thu, 14 Jan 2021 02:52:02 -0800 (PST)
Content-Type: multipart/signed;
 boundary="Apple-Mail=_177B6070-FF21-46D9-88D5-FDF60481DF76";
 protocol="application/pgp-signature"; micalg=pgp-sha512
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.40.0.2.32\))
Subject: Re: bug#45817: 28.0.50; Native fails
From: "Kirill A. Korinsky" <kirill@HIDDEN>
In-Reply-To: <83wnwgb3d9.fsf@HIDDEN>
Date: Thu, 14 Jan 2021 11:51:58 +0100
Message-Id: <406AEDCE-D469-4C60-9AB5-3798CD7C39EA@HIDDEN>
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <xjfturmc5dt.fsf@HIDDEN> <8D26BD1C-F176-4F8F-9D95-3035DBD9FB0C@HIDDEN>
 <xjfh7nldhrw.fsf@HIDDEN> <FC32037E-7C3F-45D8-9BAA-71423032F85D@HIDDEN>
 <968E34D7-5E68-4365-A742-735CD8379ACB@HIDDEN> <83wnwgb3d9.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.3654.40.0.2.32)
X-Zoho-Virus-Status: 1
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45817
Cc: 45817 <at> debbugs.gnu.org, Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--Apple-Mail=_177B6070-FF21-46D9-88D5-FDF60481DF76
Content-Type: multipart/alternative;
	boundary="Apple-Mail=_72B0C1B0-3447-452F-8155-1723C5F3AEDC"


--Apple-Mail=_72B0C1B0-3447-452F-8155-1723C5F3AEDC
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

Yes, it is specified to macOS.

I belive that it is specified to update of xcode that was somewhere at =
the end of December.

--
wbr, Kirill

> On 14. Jan 2021, at 04:32, Eli Zaretskii <eliz@HIDDEN> wrote:
>=20
>> Date: Thu, 14 Jan 2021 03:19:15 +0100
>> Cc: 45817 <at> debbugs.gnu.org
>> From: "Kirill A. Korinsky" via "Bug reports for GNU Emacs,
>> the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
>>=20
>> I'd like to confirm that it isn't a emacs bug.
>>=20
>> After reinstall from sources gcc10 an issue disappeared.
>>=20
>> Link to mackport related issue: =
https://trac.macports.org/ticket/61896
>=20
> Is this specific to macOS?
>=20
> In any case, if it's known that specific versions of GCC cause
> problems on specific platforms, we should reject those versions (for
> the libgccjit usage purposes) in configure, I think.


--Apple-Mail=_72B0C1B0-3447-452F-8155-1723C5F3AEDC
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=us-ascii

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dus-ascii"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D"">Yes, =
it is specified to macOS.<div class=3D""><br class=3D""></div><div =
class=3D"">I belive that it is specified to update of xcode that was =
somewhere at the end of December.</div><div class=3D""><br class=3D""><div=
 class=3D"">
<div style=3D"caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0); =
font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
orphans: auto; text-align: start; text-indent: 0px; text-transform: =
none; white-space: normal; widows: auto; word-spacing: 0px; =
-webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px; =
text-decoration: none;">--&nbsp;<br class=3D"">wbr, Kirill</div>

</div>
<div><br class=3D""><blockquote type=3D"cite" class=3D""><div =
class=3D"">On 14. Jan 2021, at 04:32, Eli Zaretskii &lt;<a =
href=3D"mailto:eliz@HIDDEN" class=3D"">eliz@HIDDEN</a>&gt; =
wrote:</div><br class=3D"Apple-interchange-newline"><div class=3D""><div =
class=3D""><blockquote type=3D"cite" class=3D"">Date: Thu, 14 Jan 2021 =
03:19:15 +0100<br class=3D"">Cc: <a href=3D"mailto:45817 <at> debbugs.gnu.org" =
class=3D"">45817 <at> debbugs.gnu.org</a><br class=3D"">From: "Kirill A. =
Korinsky" via "Bug reports for GNU Emacs,<br class=3D""> the Swiss army =
knife of text editors" &lt;<a href=3D"mailto:bug-gnu-emacs@HIDDEN" =
class=3D"">bug-gnu-emacs@HIDDEN</a>&gt;<br class=3D""><br class=3D"">I'd =
like to confirm that it isn't a emacs bug.<br class=3D""><br =
class=3D"">After reinstall from sources gcc10 an issue disappeared.<br =
class=3D""><br class=3D"">Link to mackport related issue: <a =
href=3D"https://trac.macports.org/ticket/61896" =
class=3D"">https://trac.macports.org/ticket/61896</a><br =
class=3D""></blockquote><br class=3D"">Is this specific to macOS?<br =
class=3D""><br class=3D"">In any case, if it's known that specific =
versions of GCC cause<br class=3D"">problems on specific platforms, we =
should reject those versions (for<br class=3D"">the libgccjit usage =
purposes) in configure, I think.<br =
class=3D""></div></div></blockquote></div><br =
class=3D""></div></body></html>=

--Apple-Mail=_72B0C1B0-3447-452F-8155-1723C5F3AEDC--

--Apple-Mail=_177B6070-FF21-46D9-88D5-FDF60481DF76
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEE3/KLNtcfWfLw7JxqmNjZhndZIm4FAmAAIk4ACgkQmNjZhndZ
Im7KSw/+Ig5oQnt4KPkAOyZT7BVE578BjkNK+yTy4RkHD8axl37yj6GqrGibZEdn
9lv6U0q8P22nS/qJn8EbwAFmVnvcEOtmJ8swuBFgI6de7Pe5RnApJEHauwwehnMA
wLmgJTmXUGBAWhjzTpNv4ek5MWzTFsSBQW5I9ncmvIJuJEhvxlOYbT3jwEQXRizt
p7evQYh4WNxaZO76vDWgy+P6Iihwfe2wv41tMQ3Zrc80qPJP2mHEjCFIkXEydJbr
zRF6MC5CeY6XkuzXxsXDUkhTNg6ndqbkqFit3Jyn5C43MhOuwztocMxYJ/RDgf2h
09nGLwo6g3up04oTqJhBQQ+OoyABpmuql1viEb9lxwxVTQzCoOqfhfiaH3gyubLW
Plp6RbF+HdyLYzS1+FJ0WUTQpbmha7OdU3iceYzh6djw7Dr+NKJovmTkjotsmpB6
97RvxR+MVvX6fL+dTpZC2f5R20Vo3W5qygn5m4xXTR1Zqd8wI7eaU9Wzy4e6I37+
wr1zTjAva8cU4yt+xtZQH8B0UTMev22dc/is89J8x+kuz+eHIFMFbpYsX/rfJ85D
hATO++YV12AK+TdjH7hhJo+C6OE3RCoh4zWsJY3RfJfugZ1pA3b6XJKCzpV63Ock
iW0hNc3gwA2n3/QMKNgPq0BOUgQ9Qj4JFeuVXVJfCo//zRCFYjI=
=6eqL
-----END PGP SIGNATURE-----

--Apple-Mail=_177B6070-FF21-46D9-88D5-FDF60481DF76--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at 45817-done <at> debbugs.gnu.org:


Received: (at 45817-done) by debbugs.gnu.org; 14 Jan 2021 09:34:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 04:34:35 2021
Received: from localhost ([127.0.0.1]:37208 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzz1X-0007x6-Ce
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2021 04:34:35 -0500
Received: from mx.sdf.org ([205.166.94.24]:58711)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kzz1V-0007ww-6t
 for 45817-done <at> debbugs.gnu.org; Thu, 14 Jan 2021 04:34:34 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTP id 10E9YWFb023201;
 Thu, 14 Jan 2021 09:34:32 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: "Kirill A. Korinsky" <kirill@HIDDEN>
Subject: Re: bug#45817: 28.0.50; Native fails
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <xjfturmc5dt.fsf@HIDDEN>
 <8D26BD1C-F176-4F8F-9D95-3035DBD9FB0C@HIDDEN>
 <xjfh7nldhrw.fsf@HIDDEN>
 <FC32037E-7C3F-45D8-9BAA-71423032F85D@HIDDEN>
 <968E34D7-5E68-4365-A742-735CD8379ACB@HIDDEN>
Date: Thu, 14 Jan 2021 09:34:32 +0000
In-Reply-To: <968E34D7-5E68-4365-A742-735CD8379ACB@HIDDEN> (Kirill
 A. Korinsky's message of "Thu, 14 Jan 2021 03:19:15 +0100")
Message-ID: <xjf1ren50bb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 45817-done
Cc: 45817-done <at> debbugs.gnu.org,
 "Kirill A. Korinsky via Bug reports for GNU Emacs, the Swiss army knife
 of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Kirill A. Korinsky" <kirill@HIDDEN> writes:

> I'd like to confirm that it isn't a emacs bug.

Nice, thanks for the update, closing this.

  Andrea





Notification sent to "Kirill A. Korinsky" <kirill@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Andrea Corallo <akrl@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Jan 2021 09:34:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 04:34:41 2021
Received: from localhost ([127.0.0.1]:37211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzz1d-0007xP-JG
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2021 04:34:41 -0500
Received: from lists.gnu.org ([209.51.188.17]:52188)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kzz1c-0007xJ-Qq
 for submit <at> debbugs.gnu.org; Thu, 14 Jan 2021 04:34:41 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:50370)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1kzz1b-0002PE-63
 for bug-gnu-emacs@HIDDEN; Thu, 14 Jan 2021 04:34:40 -0500
Received: from mx.sdf.org ([205.166.94.24]:58710)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1kzz1X-0000Kg-5r
 for bug-gnu-emacs@HIDDEN; Thu, 14 Jan 2021 04:34:38 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTP id 10E9YWFb023201;
 Thu, 14 Jan 2021 09:34:32 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: "Kirill A. Korinsky" <kirill@HIDDEN>
Subject: Re: bug#45817: 28.0.50; Native fails
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <xjfturmc5dt.fsf@HIDDEN>
 <8D26BD1C-F176-4F8F-9D95-3035DBD9FB0C@HIDDEN>
 <xjfh7nldhrw.fsf@HIDDEN>
 <FC32037E-7C3F-45D8-9BAA-71423032F85D@HIDDEN>
 <968E34D7-5E68-4365-A742-735CD8379ACB@HIDDEN>
Date: Thu, 14 Jan 2021 09:34:32 +0000
In-Reply-To: <968E34D7-5E68-4365-A742-735CD8379ACB@HIDDEN> (Kirill
 A. Korinsky's message of "Thu, 14 Jan 2021 03:19:15 +0100")
Message-ID: <xjf1ren50bb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=205.166.94.24; envelope-from=akrl@HIDDEN;
 helo=mx.sdf.org
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 45817-done <at> debbugs.gnu.org,
 "Kirill A. Korinsky via Bug reports for GNU Emacs, the Swiss army knife
 of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

"Kirill A. Korinsky" <kirill@HIDDEN> writes:

> I'd like to confirm that it isn't a emacs bug.

Nice, thanks for the update, closing this.

  Andrea





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at 45817 <at> debbugs.gnu.org:


Received: (at 45817) by debbugs.gnu.org; 14 Jan 2021 09:33:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 04:33:53 2021
Received: from localhost ([127.0.0.1]:37204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzz0r-0007vk-3w
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2021 04:33:53 -0500
Received: from mx.sdf.org ([205.166.94.24]:58732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kzz0o-0007va-EW
 for 45817 <at> debbugs.gnu.org; Thu, 14 Jan 2021 04:33:51 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTP id 10E9Xmep010630;
 Thu, 14 Jan 2021 09:33:48 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#45817: 28.0.50; Native fails
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <xjfturmc5dt.fsf@HIDDEN>
 <8D26BD1C-F176-4F8F-9D95-3035DBD9FB0C@HIDDEN>
 <xjfh7nldhrw.fsf@HIDDEN>
 <FC32037E-7C3F-45D8-9BAA-71423032F85D@HIDDEN>
 <968E34D7-5E68-4365-A742-735CD8379ACB@HIDDEN>
 <83wnwgb3d9.fsf@HIDDEN>
Date: Thu, 14 Jan 2021 09:33:48 +0000
In-Reply-To: <83wnwgb3d9.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 14 Jan
 2021 05:32:02 +0200")
Message-ID: <xjf5z3z50cj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 45817
Cc: 45817 <at> debbugs.gnu.org, "Kirill A. Korinsky" <kirill@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Thu, 14 Jan 2021 03:19:15 +0100
>> Cc: 45817 <at> debbugs.gnu.org
>> From: "Kirill A. Korinsky" via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
>> 
>> I'd like to confirm that it isn't a emacs bug.
>> 
>> After reinstall from sources gcc10 an issue disappeared.
>> 
>> Link to mackport related issue: https://trac.macports.org/ticket/61896
>
> Is this specific to macOS?
>
> In any case, if it's known that specific versions of GCC cause
> problems on specific platforms, we should reject those versions (for
> the libgccjit usage purposes) in configure, I think.

We do, not based on the version but (even better I think) we run a
functional test at configure time.  The test use libgccjit to produce a
shared, then this is loaded and used to ensure all the complete
mechanism is functional.

I think in this specific case somenthing happend (maybe OS upgrade?) as
when Emacs was compiled libgccjit clearly was working.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at 45817 <at> debbugs.gnu.org:


Received: (at 45817) by debbugs.gnu.org; 14 Jan 2021 03:32:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 22:32:18 2021
Received: from localhost ([127.0.0.1]:36959 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kztMw-0004cA-1t
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 22:32:18 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kztMu-0004bw-7d
 for 45817 <at> debbugs.gnu.org; Wed, 13 Jan 2021 22:32:16 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42150)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kztMo-0003IF-Jr; Wed, 13 Jan 2021 22:32:10 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2163
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kztMg-0002ec-Li; Wed, 13 Jan 2021 22:32:09 -0500
Date: Thu, 14 Jan 2021 05:32:02 +0200
Message-Id: <83wnwgb3d9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Kirill A. Korinsky" <kirill@HIDDEN>
In-Reply-To: <968E34D7-5E68-4365-A742-735CD8379ACB@HIDDEN>
 (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#45817: 28.0.50; Native fails
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <xjfturmc5dt.fsf@HIDDEN> <8D26BD1C-F176-4F8F-9D95-3035DBD9FB0C@HIDDEN>
 <xjfh7nldhrw.fsf@HIDDEN> <FC32037E-7C3F-45D8-9BAA-71423032F85D@HIDDEN>
 <968E34D7-5E68-4365-A742-735CD8379ACB@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45817
Cc: 45817 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 14 Jan 2021 03:19:15 +0100
> Cc: 45817 <at> debbugs.gnu.org
> From: "Kirill A. Korinsky" via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> I'd like to confirm that it isn't a emacs bug.
> 
> After reinstall from sources gcc10 an issue disappeared.
> 
> Link to mackport related issue: https://trac.macports.org/ticket/61896

Is this specific to macOS?

In any case, if it's known that specific versions of GCC cause
problems on specific platforms, we should reject those versions (for
the libgccjit usage purposes) in configure, I think.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at 45817 <at> debbugs.gnu.org:


Received: (at 45817) by debbugs.gnu.org; 14 Jan 2021 02:19:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 21:19:37 2021
Received: from localhost ([127.0.0.1]:36893 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzsEa-0002V6-Os
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 21:19:36 -0500
Received: from sender4-op-o13.zoho.com ([136.143.188.13]:17349)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kirill@HIDDEN>) id 1kzsEW-0002Uh-B3
 for 45817 <at> debbugs.gnu.org; Wed, 13 Jan 2021 21:19:32 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1610590761; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=Ow75OXdwh6TtWnF/FzwvCgkYGfXHTtCShCse+8qtcFXc1K6aMNCbtkXhGEOlECCGERM97DSGgTKcWH/2+Uq8BeNFoTnsfdwdxBruYQLTErOlzZjlWXd90BMmynvLBsJo3RF2ZYNrADobtWiAsi814yGNvQmzMRfv31etJCy3ZSo=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1610590761;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=zmcok1XXyqg9ALivM2doDJeiC8SZrO40WkUg1asb9oQ=; 
 b=RaMuvRcpLeaPpOna5wceuXQpdWgOUOEfVwHlrk1mGvQeMU+SjF9wJxrM8qmy90RZmnlcHRGbLpnS2Ek83Vh/KrV3TEj1+1y1aBxBJ9YxvLuui0QugzARedlv6z2k2aZV731S10mZ2/L6sig7799TROTF67skQcK9hxH9GkbocUo=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=korins.ky;
 spf=pass  smtp.mailfrom=kirill@HIDDEN;
 dmarc=pass header.from=<kirill@HIDDEN> header.from=<kirill@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1610590761; 
 s=april2018zoho; d=korins.ky; i=kirill@HIDDEN;
 h=Content-Type:Mime-Version:Subject:From:In-Reply-To:Date:Cc:Message-Id:References:To;
 bh=zmcok1XXyqg9ALivM2doDJeiC8SZrO40WkUg1asb9oQ=;
 b=eDKtNtJh72tBSNx38Fdep8ItXmuTY1hkUqFaIJC0t9dwzk6olpiEQm4B6P7DcdC5
 q/PtIMiSnQJL0QGxplw5K9Gn4Uf8TP1HHMWZLZBvqAasWXpM2Vi/wK1JffkfmCBNnC0
 50QJnEeLwu3yqaf6M3wZgJRZ7f8g9AHFII8nUmIQ=
Received: from macbook-pro.sa31-cbt.catap.net (sa31.catap.net [90.187.54.213])
 by mx.zohomail.com with SMTPS id 1610590759715358.05027708426076;
 Wed, 13 Jan 2021 18:19:19 -0800 (PST)
Content-Type: multipart/signed;
 boundary="Apple-Mail=_462A2790-29A9-41C7-9B12-DA67A9D89A22";
 protocol="application/pgp-signature"; micalg=pgp-sha512
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.40.0.2.32\))
Subject: Re: bug#45817: 28.0.50; Native fails
From: "Kirill A. Korinsky" <kirill@HIDDEN>
In-Reply-To: <FC32037E-7C3F-45D8-9BAA-71423032F85D@HIDDEN>
Date: Thu, 14 Jan 2021 03:19:15 +0100
Message-Id: <968E34D7-5E68-4365-A742-735CD8379ACB@HIDDEN>
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <xjfturmc5dt.fsf@HIDDEN> <8D26BD1C-F176-4F8F-9D95-3035DBD9FB0C@HIDDEN>
 <xjfh7nldhrw.fsf@HIDDEN> <FC32037E-7C3F-45D8-9BAA-71423032F85D@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
X-Mailer: Apple Mail (2.3654.40.0.2.32)
X-Zoho-Virus-Status: 1
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45817
Cc: 45817 <at> debbugs.gnu.org, "Kirill A. Korinsky via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--Apple-Mail=_462A2790-29A9-41C7-9B12-DA67A9D89A22
Content-Type: multipart/alternative;
	boundary="Apple-Mail=_A79D56A9-0E72-4F52-8E96-FC4168F2DB0D"


--Apple-Mail=_A79D56A9-0E72-4F52-8E96-FC4168F2DB0D
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=us-ascii

I'd like to confirm that it isn't a emacs bug.

After reinstall from sources gcc10 an issue disappeared.

Link to mackport related issue: https://trac.macports.org/ticket/61896

--
wbr, Kiril


--Apple-Mail=_A79D56A9-0E72-4F52-8E96-FC4168F2DB0D
Content-Transfer-Encoding: 7bit
Content-Type: text/html;
	charset=us-ascii

<html><head><meta http-equiv="Content-Type" content="text/html; charset=us-ascii"></head><body style="word-wrap: break-word; -webkit-nbsp-mode: space; line-break: after-white-space;" class="">I'd like to confirm that it isn't a emacs bug.<div class=""><br class=""></div><div class="">After reinstall from sources gcc10 an issue disappeared.</div><div class=""><br class=""></div><div class="">Link to mackport related issue:&nbsp;<a href="https://trac.macports.org/ticket/61896" class="">https://trac.macports.org/ticket/61896</a></div><div class=""><br class=""><div class="">
<div style="caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0); font-family: Helvetica; font-size: 12px; font-style: normal; font-variant-caps: normal; font-weight: normal; letter-spacing: normal; orphans: auto; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: auto; word-spacing: 0px; -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px; text-decoration: none;">--&nbsp;<br class="">wbr, Kiril</div></div><br class=""></div></body></html>
--Apple-Mail=_A79D56A9-0E72-4F52-8E96-FC4168F2DB0D--

--Apple-Mail=_462A2790-29A9-41C7-9B12-DA67A9D89A22
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEE3/KLNtcfWfLw7JxqmNjZhndZIm4FAl//qiMACgkQmNjZhndZ
Im4zxA//dT7k4ZQ54Wmdb8sBjzNUNdm7IVvZLqv565wH/D804FYFUlmTX4c5nbSX
a5E5C50eJ3Fje7sISf9tczQFcYazKuzK2PqZacSwtQOt0c0+CjYd5xtabFEtslF3
4znH5IC4WhJmZaFDHVard8fvuUhsJz71qjCA2Bi38rm2612rbUIKr4UvPfyxa7Nh
UTDO18w+2OwuEi8yEFw7kmksrAKkcQpijT99CqbF8/i4AOe1Eg2iqTN3ZvStkRGm
o2tIr4AMmIiSSIm+0Zqib3u7vm06nM4RvzRCKNSydtvq1Vcvey+szdv4yq6wbb0B
3vZVW8gM4u+GrcTu8h1l1G6S21Rz4RveMoZlavHXHx1/Hg+1+NVFgBiBs4Al2n0F
eDHsP2EVNHGSDUmxoUNvb7dvs560Os5IoULJL0Dj1O9+kk6EElYJ4qe51UuJBEZL
VGufhCUt+Cnqbqo/6GE0O2t4K9ulbNF1OF3eEi87hOOMiWbmY/bRMnO4H7vax/TM
4fH7M9QQMj70De8D3OiLL36DTuFFX+JlXufCw6SizoSzToQjjJAVhsQV0blUW0gE
Ci48ep2nE3+pO5/hK+viW/IejZMRMoAL3mesc+Akz1MW+9tX/xc22riNFjKPAwS9
IpNkJUyscGTuHuGcIwFN81HLt6PxhDHSg3cFbWI2NHyk1T4AgRA=
=Q/ip
-----END PGP SIGNATURE-----

--Apple-Mail=_462A2790-29A9-41C7-9B12-DA67A9D89A22--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Jan 2021 02:19:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 21:19:33 2021
Received: from localhost ([127.0.0.1]:36891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzsEX-0002Uv-Ep
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 21:19:33 -0500
Received: from lists.gnu.org ([209.51.188.17]:35826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kirill@HIDDEN>) id 1kzsEV-0002Ui-As
 for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 21:19:31 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:60864)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kirill@HIDDEN>) id 1kzsEU-0006bn-Ue
 for bug-gnu-emacs@HIDDEN; Wed, 13 Jan 2021 21:19:31 -0500
Received: from sender4-op-o13.zoho.com ([136.143.188.13]:17347)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kirill@HIDDEN>) id 1kzsEQ-00042F-PR
 for bug-gnu-emacs@HIDDEN; Wed, 13 Jan 2021 21:19:30 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1610590761; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=Ow75OXdwh6TtWnF/FzwvCgkYGfXHTtCShCse+8qtcFXc1K6aMNCbtkXhGEOlECCGERM97DSGgTKcWH/2+Uq8BeNFoTnsfdwdxBruYQLTErOlzZjlWXd90BMmynvLBsJo3RF2ZYNrADobtWiAsi814yGNvQmzMRfv31etJCy3ZSo=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1610590761;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=zmcok1XXyqg9ALivM2doDJeiC8SZrO40WkUg1asb9oQ=; 
 b=RaMuvRcpLeaPpOna5wceuXQpdWgOUOEfVwHlrk1mGvQeMU+SjF9wJxrM8qmy90RZmnlcHRGbLpnS2Ek83Vh/KrV3TEj1+1y1aBxBJ9YxvLuui0QugzARedlv6z2k2aZV731S10mZ2/L6sig7799TROTF67skQcK9hxH9GkbocUo=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=korins.ky;
 spf=pass  smtp.mailfrom=kirill@HIDDEN;
 dmarc=pass header.from=<kirill@HIDDEN> header.from=<kirill@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1610590761; 
 s=april2018zoho; d=korins.ky; i=kirill@HIDDEN;
 h=Content-Type:Mime-Version:Subject:From:In-Reply-To:Date:Cc:Message-Id:References:To;
 bh=zmcok1XXyqg9ALivM2doDJeiC8SZrO40WkUg1asb9oQ=;
 b=eDKtNtJh72tBSNx38Fdep8ItXmuTY1hkUqFaIJC0t9dwzk6olpiEQm4B6P7DcdC5
 q/PtIMiSnQJL0QGxplw5K9Gn4Uf8TP1HHMWZLZBvqAasWXpM2Vi/wK1JffkfmCBNnC0
 50QJnEeLwu3yqaf6M3wZgJRZ7f8g9AHFII8nUmIQ=
Received: from macbook-pro.sa31-cbt.catap.net (sa31.catap.net [90.187.54.213])
 by mx.zohomail.com with SMTPS id 1610590759715358.05027708426076;
 Wed, 13 Jan 2021 18:19:19 -0800 (PST)
Content-Type: multipart/signed;
 boundary="Apple-Mail=_462A2790-29A9-41C7-9B12-DA67A9D89A22";
 protocol="application/pgp-signature"; micalg=pgp-sha512
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.40.0.2.32\))
Subject: Re: bug#45817: 28.0.50; Native fails
From: "Kirill A. Korinsky" <kirill@HIDDEN>
In-Reply-To: <FC32037E-7C3F-45D8-9BAA-71423032F85D@HIDDEN>
Date: Thu, 14 Jan 2021 03:19:15 +0100
Message-Id: <968E34D7-5E68-4365-A742-735CD8379ACB@HIDDEN>
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <xjfturmc5dt.fsf@HIDDEN> <8D26BD1C-F176-4F8F-9D95-3035DBD9FB0C@HIDDEN>
 <xjfh7nldhrw.fsf@HIDDEN> <FC32037E-7C3F-45D8-9BAA-71423032F85D@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
X-Mailer: Apple Mail (2.3654.40.0.2.32)
X-Zoho-Virus-Status: 1
X-ZohoMailClient: External
Received-SPF: pass client-ip=136.143.188.13; envelope-from=kirill@HIDDEN;
 helo=sender4-op-o13.zoho.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: 45817 <at> debbugs.gnu.org, "Kirill A. Korinsky via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--Apple-Mail=_462A2790-29A9-41C7-9B12-DA67A9D89A22
Content-Type: multipart/alternative;
	boundary="Apple-Mail=_A79D56A9-0E72-4F52-8E96-FC4168F2DB0D"


--Apple-Mail=_A79D56A9-0E72-4F52-8E96-FC4168F2DB0D
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=us-ascii

I'd like to confirm that it isn't a emacs bug.

After reinstall from sources gcc10 an issue disappeared.

Link to mackport related issue: https://trac.macports.org/ticket/61896

--
wbr, Kiril


--Apple-Mail=_A79D56A9-0E72-4F52-8E96-FC4168F2DB0D
Content-Transfer-Encoding: 7bit
Content-Type: text/html;
	charset=us-ascii

<html><head><meta http-equiv="Content-Type" content="text/html; charset=us-ascii"></head><body style="word-wrap: break-word; -webkit-nbsp-mode: space; line-break: after-white-space;" class="">I'd like to confirm that it isn't a emacs bug.<div class=""><br class=""></div><div class="">After reinstall from sources gcc10 an issue disappeared.</div><div class=""><br class=""></div><div class="">Link to mackport related issue:&nbsp;<a href="https://trac.macports.org/ticket/61896" class="">https://trac.macports.org/ticket/61896</a></div><div class=""><br class=""><div class="">
<div style="caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0); font-family: Helvetica; font-size: 12px; font-style: normal; font-variant-caps: normal; font-weight: normal; letter-spacing: normal; orphans: auto; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: auto; word-spacing: 0px; -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px; text-decoration: none;">--&nbsp;<br class="">wbr, Kiril</div></div><br class=""></div></body></html>
--Apple-Mail=_A79D56A9-0E72-4F52-8E96-FC4168F2DB0D--

--Apple-Mail=_462A2790-29A9-41C7-9B12-DA67A9D89A22
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEE3/KLNtcfWfLw7JxqmNjZhndZIm4FAl//qiMACgkQmNjZhndZ
Im4zxA//dT7k4ZQ54Wmdb8sBjzNUNdm7IVvZLqv565wH/D804FYFUlmTX4c5nbSX
a5E5C50eJ3Fje7sISf9tczQFcYazKuzK2PqZacSwtQOt0c0+CjYd5xtabFEtslF3
4znH5IC4WhJmZaFDHVard8fvuUhsJz71qjCA2Bi38rm2612rbUIKr4UvPfyxa7Nh
UTDO18w+2OwuEi8yEFw7kmksrAKkcQpijT99CqbF8/i4AOe1Eg2iqTN3ZvStkRGm
o2tIr4AMmIiSSIm+0Zqib3u7vm06nM4RvzRCKNSydtvq1Vcvey+szdv4yq6wbb0B
3vZVW8gM4u+GrcTu8h1l1G6S21Rz4RveMoZlavHXHx1/Hg+1+NVFgBiBs4Al2n0F
eDHsP2EVNHGSDUmxoUNvb7dvs560Os5IoULJL0Dj1O9+kk6EElYJ4qe51UuJBEZL
VGufhCUt+Cnqbqo/6GE0O2t4K9ulbNF1OF3eEi87hOOMiWbmY/bRMnO4H7vax/TM
4fH7M9QQMj70De8D3OiLL36DTuFFX+JlXufCw6SizoSzToQjjJAVhsQV0blUW0gE
Ci48ep2nE3+pO5/hK+viW/IejZMRMoAL3mesc+Akz1MW+9tX/xc22riNFjKPAwS9
IpNkJUyscGTuHuGcIwFN81HLt6PxhDHSg3cFbWI2NHyk1T4AgRA=
=Q/ip
-----END PGP SIGNATURE-----

--Apple-Mail=_462A2790-29A9-41C7-9B12-DA67A9D89A22--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at 45817 <at> debbugs.gnu.org:


Received: (at 45817) by debbugs.gnu.org; 12 Jan 2021 20:56:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 15:56:11 2021
Received: from localhost ([127.0.0.1]:33416 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzQi3-00030c-2G
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:56:11 -0500
Received: from sender4-op-o12.zoho.com ([136.143.188.12]:17254)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kirill@HIDDEN>) id 1kzQWm-0000au-TO
 for 45817 <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:44:33 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1610484265; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=ndBgiRuec/oz+kwqcet4Dq5ZI3AxvGRauhLIwPWhtzkUvphobb8wgwlsE1vj+De7f2amLwYgpgw8dvH30mrLjwRDDHs4dm8/CzJP3IKTqBaUERQWu77+knfpQXAnVrLqTAFBB25XQmvlLKR/APuo074gZTn8CLznKaQ0LiOqZYo=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1610484265;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=A2t+WHwkksHGdujqmzzPo9i5GpXiqifBFHqReh2vUCw=; 
 b=jjYn5aZVknDnEWx+UEwiQX1tnBvGApQ5L/41pA6euPMpwvFoZ1xrxTKKxN6pA9CLzsNL9QnFyogB3dLjBOqhoQ+meaNLJ6dXvFyPOXX2HdGFoji/zSvy3Dcuqr5GIXpuRGxi+nk+4wqwCseYO1W0MDqvr1fQ+T/Wb8/prI+Nwmo=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=korins.ky;
 spf=pass  smtp.mailfrom=kirill@HIDDEN;
 dmarc=pass header.from=<kirill@HIDDEN> header.from=<kirill@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1610484265; 
 s=april2018zoho; d=korins.ky; i=kirill@HIDDEN;
 h=Content-Type:Mime-Version:Subject:From:In-Reply-To:Date:Cc:Message-Id:References:To;
 bh=A2t+WHwkksHGdujqmzzPo9i5GpXiqifBFHqReh2vUCw=;
 b=Mdu2DcZzo1Puvoh3nhSfMe3lw5OqZjkM4Z09L5EGsHcTOEWA5dC/jzw1lEquOXlX
 TezjMP8VB8rlnVU95Z96d6jcwfBEp91I5ZT6wTQhBNcLEVTHLqnGjxBboAsb7wmJTLe
 /bu/CxSuvRDZx/FsTz3G/7n1FzdeF08nEgfksCyE=
Received: from macbook-pro.sa31-home.catap.net (sa31.catap.net
 [90.187.54.213]) by mx.zohomail.com
 with SMTPS id 1610484262977686.7317025820629;
 Tue, 12 Jan 2021 12:44:22 -0800 (PST)
Content-Type: multipart/signed;
 boundary="Apple-Mail=_DBA3FB0A-E4AD-4F11-904E-98D718D0EFFA";
 protocol="application/pgp-signature"; micalg=pgp-sha512
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.40.0.2.32\))
Subject: Re: bug#45817: 28.0.50; Native fails
From: "Kirill A. Korinsky" <kirill@HIDDEN>
In-Reply-To: <xjfh7nldhrw.fsf@HIDDEN>
Date: Tue, 12 Jan 2021 21:44:18 +0100
Message-Id: <FC32037E-7C3F-45D8-9BAA-71423032F85D@HIDDEN>
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <xjfturmc5dt.fsf@HIDDEN> <8D26BD1C-F176-4F8F-9D95-3035DBD9FB0C@HIDDEN>
 <xjfh7nldhrw.fsf@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
X-Mailer: Apple Mail (2.3654.40.0.2.32)
X-Zoho-Virus-Status: 1
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45817
X-Mailman-Approved-At: Tue, 12 Jan 2021 15:56:05 -0500
Cc: 45817 <at> debbugs.gnu.org, "Kirill A. Korinsky via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--Apple-Mail=_DBA3FB0A-E4AD-4F11-904E-98D718D0EFFA
Content-Type: multipart/alternative;
	boundary="Apple-Mail=_01BC0870-5447-4010-8F63-C693B700E9F8"


--Apple-Mail=_01BC0870-5447-4010-8F63-C693B700E9F8
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

Both LD_LIBRARY_PATH and DYLD_LIBRARY_PATH doesn't help.

But if I put into early-init.el:

(setq comp-native-driver-options '(
      (concat
       "-L"
       (substring (shell-command-to-string "xcode-select -p") 0 -1)
       "/SDKs/MacOSX.sdk/usr/lib")))

The error has changed to:

Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p =
"Abort trap: 6")
  comp-final(nil)
  #f(compiled-function (pass) #<bytecode 0xb1e0d621e6fccdf>)(comp-final)
  mapc(#f(compiled-function (pass) #<bytecode 0xb1e0d621e6fccdf>) =
(comp-spill-lap comp-limplify comp-fwprop comp-call-optim comp-ipa-pure =
comp-add-cstrs comp-fwprop comp-dead-code comp-tco comp-fwprop =
comp-remove-type-hints comp-final))
  comp--native-compile((lambda (arg0 &optional) (let ((f #'yes-or-no-p)) =
(funcall f arg0))) nil =
"/Users/catap/src/doom-emacs/.local/cache/eln/28.0.50-x86_64-apple-darwin2=
0.2.0-fd47d85b89f8ef6ced8660b41eff701c/subr--trampoline-7965732d6f722d6e6f=
2d70_yes_or_no_p_0.eln")
  comp-trampoline-compile(yes-or-no-p)
  comp-subr-trampoline-install(yes-or-no-p)


--
wbr, Kirill

> On 12. Jan 2021, at 21:25, Andrea Corallo <akrl@HIDDEN> wrote:
>=20
> "Kirill A. Korinsky" <kirill@HIDDEN <mailto:kirill@HIDDEN>> =
writes:
>=20
>> Here it is:
>>=20
>> =E2=88=9A ~ % emacs -batch -eval "(comp-subr-trampoline-install =
#'message)"
>> Debugger entered--Lisp error: (native-compiler-error (lambda (arg0 =
&rest arg1) (let ((f #'message)) (apply f arg0 arg1)))
>> "Compiling /Users/catap/.emacs.d/eln-cache/28.0.50-...")
>>  signal(native-compiler-error ((lambda (arg0 &rest arg1) (let ((f =
#'message)) (apply f arg0 arg1))) "Compiling
>> /Users/catap/.emacs.d/eln-cache/28.0.50-..."))
>>  comp--native-compile((lambda (arg0 &rest arg1) (let ((f #'message)) =
(apply f arg0 arg1))) nil
>> "/Users/catap/.emacs.d/eln-cache/28.0.50-x86_64-app...")
>>  comp-trampoline-compile(message)
>>  comp-subr-trampoline-install(message)
>>  command-line-1(("-eval" "(comp-subr-trampoline-install #'message)"))
>>  command-line()
>>  normal-top-level()
>>=20
>> ? ~ %
>>=20
>> The last ? means that exit code wasn't zero
>=20
> Yeah sorry, I've lost track of all messages I'm replying and thought
> were two separate bugs, I think the right counter measure to this =
issue
> is in my last message on this thread (LIBRARY_PATH).
>=20
>  Andrea


--Apple-Mail=_01BC0870-5447-4010-8F63-C693B700E9F8
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" =
class=3D"">Both&nbsp;LD_LIBRARY_PATH and DYLD_LIBRARY_PATH doesn't =
help.<div class=3D""><br class=3D""></div><div class=3D"">But if I put =
into early-init.el:</div><div class=3D""><br class=3D""></div><div =
class=3D"">(setq comp-native-driver-options '(</div><div class=3D""><div =
class=3D"">&nbsp; &nbsp; &nbsp; (concat</div><div class=3D"">&nbsp; =
&nbsp; &nbsp; &nbsp;"-L"</div><div class=3D"">&nbsp; &nbsp; &nbsp; =
&nbsp;(substring (shell-command-to-string "xcode-select -p") 0 =
-1)</div><div class=3D"">&nbsp; &nbsp; &nbsp; =
&nbsp;"/SDKs/MacOSX.sdk/usr/lib")))</div><div class=3D""><br =
class=3D""></div></div><div class=3D"">The error has changed =
to:</div><div class=3D""><br class=3D""></div><div class=3D""><div =
class=3D"">Debugger entered--Lisp error: (wrong-type-argument =
number-or-marker-p "Abort trap: 6")</div><div class=3D"">&nbsp; =
comp-final(nil)</div><div class=3D"">&nbsp; #f(compiled-function (pass) =
#&lt;bytecode 0xb1e0d621e6fccdf&gt;)(comp-final)</div><div =
class=3D"">&nbsp; mapc(#f(compiled-function (pass) #&lt;bytecode =
0xb1e0d621e6fccdf&gt;) (comp-spill-lap comp-limplify comp-fwprop =
comp-call-optim comp-ipa-pure comp-add-cstrs comp-fwprop comp-dead-code =
comp-tco comp-fwprop comp-remove-type-hints comp-final))</div><div =
class=3D"">&nbsp; comp--native-compile((lambda (arg0 &amp;optional) (let =
((f #'yes-or-no-p)) (funcall f arg0))) nil =
"/Users/catap/src/doom-emacs/.local/cache/eln/28.0.50-x86_64-apple-darwin2=
0.2.0-fd47d85b89f8ef6ced8660b41eff701c/subr--trampoline-7965732d6f722d6e6f=
2d70_yes_or_no_p_0.eln")</div><div class=3D"">&nbsp; =
comp-trampoline-compile(yes-or-no-p)</div><div class=3D"">&nbsp; =
comp-subr-trampoline-install(yes-or-no-p)</div></div><div class=3D""><br =
class=3D""></div><div class=3D""><br class=3D""><div class=3D"">
<div style=3D"caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0); =
font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
orphans: auto; text-align: start; text-indent: 0px; text-transform: =
none; white-space: normal; widows: auto; word-spacing: 0px; =
-webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px; =
text-decoration: none;">--&nbsp;<br class=3D"">wbr, Kirill</div>

</div>
<div><br class=3D""><blockquote type=3D"cite" class=3D""><div =
class=3D"">On 12. Jan 2021, at 21:25, Andrea Corallo &lt;<a =
href=3D"mailto:akrl@HIDDEN" class=3D"">akrl@HIDDEN</a>&gt; =
wrote:</div><br class=3D"Apple-interchange-newline"><div class=3D""><meta =
charset=3D"UTF-8" class=3D""><span style=3D"caret-color: rgb(0, 0, 0); =
font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none; float: none; display: inline !important;" =
class=3D"">"Kirill A. Korinsky" &lt;</span><a =
href=3D"mailto:kirill@HIDDEN" style=3D"font-family: Helvetica; =
font-size: 12px; font-style: normal; font-variant-caps: normal; =
font-weight: normal; letter-spacing: normal; orphans: auto; text-align: =
start; text-indent: 0px; text-transform: none; white-space: normal; =
widows: auto; word-spacing: 0px; -webkit-text-size-adjust: auto; =
-webkit-text-stroke-width: 0px;" class=3D"">kirill@HIDDEN</a><span =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
12px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none; float: none; =
display: inline !important;" class=3D"">&gt; writes:</span><br =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
12px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none;" class=3D""><br =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
12px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none;" =
class=3D""><blockquote type=3D"cite" style=3D"font-family: Helvetica; =
font-size: 12px; font-style: normal; font-variant-caps: normal; =
font-weight: normal; letter-spacing: normal; orphans: auto; text-align: =
start; text-indent: 0px; text-transform: none; white-space: normal; =
widows: auto; word-spacing: 0px; -webkit-text-size-adjust: auto; =
-webkit-text-stroke-width: 0px; text-decoration: none;" class=3D"">Here =
it is:<br class=3D""><br class=3D"">=E2=88=9A ~ % emacs -batch -eval =
"(comp-subr-trampoline-install #'message)"<br class=3D"">Debugger =
entered--Lisp error: (native-compiler-error (lambda (arg0 &amp;rest =
arg1) (let ((f #'message)) (apply f arg0 arg1)))<br class=3D"">"Compiling =
/Users/catap/.emacs.d/eln-cache/28.0.50-...")<br =
class=3D"">&nbsp;signal(native-compiler-error ((lambda (arg0 &amp;rest =
arg1) (let ((f #'message)) (apply f arg0 arg1))) "Compiling<br =
class=3D"">/Users/catap/.emacs.d/eln-cache/28.0.50-..."))<br =
class=3D"">&nbsp;comp--native-compile((lambda (arg0 &amp;rest arg1) (let =
((f #'message)) (apply f arg0 arg1))) nil<br =
class=3D"">"/Users/catap/.emacs.d/eln-cache/28.0.50-x86_64-app...")<br =
class=3D"">&nbsp;comp-trampoline-compile(message)<br =
class=3D"">&nbsp;comp-subr-trampoline-install(message)<br =
class=3D"">&nbsp;command-line-1(("-eval" "(comp-subr-trampoline-install =
#'message)"))<br class=3D"">&nbsp;command-line()<br =
class=3D"">&nbsp;normal-top-level()<br class=3D""><br class=3D"">? ~ =
%<span class=3D"Apple-converted-space">&nbsp;</span><br class=3D""><br =
class=3D"">The last ? means that exit code wasn't zero<br =
class=3D""></blockquote><br style=3D"caret-color: rgb(0, 0, 0); =
font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none;" class=3D""><span style=3D"caret-color: rgb(0, 0, =
0); font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none; float: none; display: inline !important;" =
class=3D"">Yeah sorry, I've lost track of all messages I'm replying and =
thought</span><br style=3D"caret-color: rgb(0, 0, 0); font-family: =
Helvetica; font-size: 12px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none;" class=3D""><span style=3D"caret-color: rgb(0, 0, 0); font-family: =
Helvetica; font-size: 12px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none; float: none; display: inline !important;" class=3D"">were two =
separate bugs, I think the right counter measure to this issue</span><br =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
12px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none;" class=3D""><span =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
12px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none; float: none; =
display: inline !important;" class=3D"">is in my last message on this =
thread (LIBRARY_PATH).</span><br style=3D"caret-color: rgb(0, 0, 0); =
font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none;" class=3D""><br style=3D"caret-color: rgb(0, 0, =
0); font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none;" class=3D""><span style=3D"caret-color: rgb(0, 0, =
0); font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none; float: none; display: inline !important;" =
class=3D"">&nbsp;Andrea</span></div></blockquote></div><br =
class=3D""></div></body></html>=

--Apple-Mail=_01BC0870-5447-4010-8F63-C693B700E9F8--

--Apple-Mail=_DBA3FB0A-E4AD-4F11-904E-98D718D0EFFA
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEE3/KLNtcfWfLw7JxqmNjZhndZIm4FAl/+CiIACgkQmNjZhndZ
Im4y9RAAs8gZu+8Mn3zMYo4av+PNkwkWyIOg2rGM2itTB/s4xpprv9VI07/0VxYp
UH0y5YsX9x8oNga7nQmJbsPiftxzxiYNVJJ5vByXrmxiZJNv0s7RGGjZ4mBWSQ9V
X9mJSGGJm4xA59H718ie7w1KqGI58I2FIYF+hu1FJqd8xBByfUeuANGM9UqcBefW
MAKjPPGKjVim7MjfPjA/KNjSDbBfRWixDw5XHmJ7PoNCPItErY7NvX77lVJldtdn
z60RZ4OxKj2nhqqHWQ2/L6ZFewrWCXLxWIl6Z7ElWIDNbT1dwr1bC+Eh8qawTQWY
IJ5zPXIVHnIt0qFW2ebkfwdlfFE57BASYIJ0DNmJzRUrUyhUeakIsInKndl9U5Ff
LiOX8TQ/0WUChnHDdwB7bBWo2ISOd9n2bZo7xaQMdoFqL+SccSU8nTrKDTKgSxR6
dNtBLmeyyLQ1HUNihsTeE+AyTimEOl82WMvSApjHXtssyquHVUIlawjdCETiq1hH
bHo4lE2xBQ7yNNN6dG1G2Uq09I9P9TKn1nFoB3YxHfaTaLKfaDy5pfOgLdbcBYp0
cHiM4uMo0iGE3UtrYYZf4ISY9d1eOVwE5ZCBVwoi+GoBkD9CwbghGpmg+MVHzo4p
Slpo/N4fxtG+/RIBpQEg7IFs7gzkJVs3hEJnZtJroeRy/xKHh/Q=
=3lPk
-----END PGP SIGNATURE-----

--Apple-Mail=_DBA3FB0A-E4AD-4F11-904E-98D718D0EFFA--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at 45817 <at> debbugs.gnu.org:


Received: (at 45817) by debbugs.gnu.org; 12 Jan 2021 20:56:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 15:56:10 2021
Received: from localhost ([127.0.0.1]:33412 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzQi1-00030N-Qv
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:56:10 -0500
Received: from sender4-op-o12.zoho.com ([136.143.188.12]:17292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kirill@HIDDEN>) id 1kzPuw-0005m1-Qk
 for 45817 <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:05:29 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1610481916; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=LwL1yxA9pYOZaGrRl9kJz30C7YCvdss9yi14unv69ZYmThzuc3NqQDYDrt95aI5N904Tjs1FxamAnzOAeyF7Zm1VW/kXfk2dMvyP6af1kGD3TMHrDYxaIdE2QV1FwxaP26QmCIiSPlvVBwmI8/LJqwQkVCTHszFnFpYmdELerGE=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1610481916;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=JH714aBMC/HpSorx9YaK6u0gD1F+aMk/lFusQJCABDs=; 
 b=Ki/Aj2AT5rujZx+6axpNIthZjsNU73owMHN/JGtCWJau2ci0tbSU+hXEPT/GNWY+TvPwwv1EIkXv5WU2Ae9/R6w2jPKvNiLUYl7AuYyGeGdIlS/a5cdKLf16Gg7b2MPEshkY868oIujgDx/3v0+cEermV2Vf7mcorzf5El0qMGk=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=korins.ky;
 spf=pass  smtp.mailfrom=kirill@HIDDEN;
 dmarc=pass header.from=<kirill@HIDDEN> header.from=<kirill@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1610481916; 
 s=april2018zoho; d=korins.ky; i=kirill@HIDDEN;
 h=Content-Type:Mime-Version:Subject:From:In-Reply-To:Date:Cc:Message-Id:References:To;
 bh=JH714aBMC/HpSorx9YaK6u0gD1F+aMk/lFusQJCABDs=;
 b=hM/0eXw+c5WhYFoSf8u+lNAPk1grORJY+59HIytJ6r5QZnwwQSWegxUspkBXCoaA
 LacF/EoW+FXIMCvPLq3+DEIqyFZC9u9bhz3k7jDrA648r7kZHcRXPEUmeR2GpDvFOuK
 cLCbVKlO3/XS3X/qQSuBDWM1WWU4BfCbswmgZ6nE=
Received: from macbook-pro.sa31-home.catap.net (sa31.catap.net
 [90.187.54.213]) by mx.zohomail.com
 with SMTPS id 1610481914520595.8899640952601;
 Tue, 12 Jan 2021 12:05:14 -0800 (PST)
Content-Type: multipart/signed;
 boundary="Apple-Mail=_381F3233-31E7-42E9-82AD-5B4088FFAF87";
 protocol="application/pgp-signature"; micalg=pgp-sha512
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.40.0.2.32\))
Subject: Re: bug#45817: 28.0.50; Native fails
From: "Kirill A. Korinsky" <kirill@HIDDEN>
In-Reply-To: <xjfturmc5dt.fsf@HIDDEN>
Date: Tue, 12 Jan 2021 21:05:10 +0100
Message-Id: <8D26BD1C-F176-4F8F-9D95-3035DBD9FB0C@HIDDEN>
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <xjfturmc5dt.fsf@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
X-Mailer: Apple Mail (2.3654.40.0.2.32)
X-Zoho-Virus-Status: 1
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45817
X-Mailman-Approved-At: Tue, 12 Jan 2021 15:56:05 -0500
Cc: 45817 <at> debbugs.gnu.org, "Kirill A. Korinsky via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--Apple-Mail=_381F3233-31E7-42E9-82AD-5B4088FFAF87
Content-Type: multipart/alternative;
	boundary="Apple-Mail=_9E6D17FB-F451-4B6D-BBCE-7BCBFF0C1E48"


--Apple-Mail=_9E6D17FB-F451-4B6D-BBCE-7BCBFF0C1E48
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

Here it is:

=E2=88=9A ~ % emacs -batch -eval "(comp-subr-trampoline-install =
#'message)"
Debugger entered--Lisp error: (native-compiler-error (lambda (arg0 &rest =
arg1) (let ((f #'message)) (apply f arg0 arg1))) "Compiling =
/Users/catap/.emacs.d/eln-cache/28.0.50-...")
  signal(native-compiler-error ((lambda (arg0 &rest arg1) (let ((f =
#'message)) (apply f arg0 arg1))) "Compiling =
/Users/catap/.emacs.d/eln-cache/28.0.50-..."))
  comp--native-compile((lambda (arg0 &rest arg1) (let ((f #'message)) =
(apply f arg0 arg1))) nil =
"/Users/catap/.emacs.d/eln-cache/28.0.50-x86_64-app...")
  comp-trampoline-compile(message)
  comp-subr-trampoline-install(message)
  command-line-1(("-eval" "(comp-subr-trampoline-install #'message)"))
  command-line()
  normal-top-level()

? ~ %

The last ? means that exit code wasn't zero

--
wbr, Kirill

> On 12. Jan 2021, at 20:38, Andrea Corallo <akrl@HIDDEN> wrote:
>=20
> "Kirill A. Korinsky" via "Bug reports for GNU Emacs, the Swiss army
> knife of text editors" <bug-gnu-emacs@HIDDEN> writes:
>=20
>> Good day,
>>=20
>> I've just upgraded emacs to last version of devel snapshot from emacs
>> ports with native support with local git root
>> 8ad983c4acef60a80e8d6b6ba891b1ef957f2d7c and discovered that it can't
>> start nor my local config, nor emacs-doom. I haven't yet tried =
spacemacs
>> but expected that it will be the same issue.
>=20
> Hi Kirill,
>=20
> the latest feature/native-comp is 42ff68ec2f.
>=20
> Anyway I think to understand what's going on we need some minimal
> reproducer.  Could you try running the followig and report the output
> (if any)?
>=20
> emacs -batch -eval "(comp-subr-trampoline-install #'message)"
>=20
> Thanks!
>=20
>  Andrea


--Apple-Mail=_9E6D17FB-F451-4B6D-BBCE-7BCBFF0C1E48
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D"">Here =
it is:<div class=3D""><br class=3D""></div><div class=3D""><div =
style=3D"margin: 0px; font-stretch: normal; font-size: 11px; =
line-height: normal; font-family: Menlo; color: rgb(248, 249, 80); =
background-color: rgba(255, 255, 255, 0.96);" class=3D""><span =
style=3D"font-variant-ligatures: no-common-ligatures; color: rgb(83, =
251, 58);" class=3D"">=E2=88=9A</span><span =
style=3D"font-variant-ligatures: no-common-ligatures; color: rgb(155, =
177, 180);" class=3D""> </span><span style=3D"font-variant-ligatures: =
no-common-ligatures; color: rgb(139, 158, 158);" class=3D"">~</span><span =
style=3D"font-variant-ligatures: no-common-ligatures; color: rgb(155, =
177, 180);" class=3D""> % </span><span style=3D"font-variant-ligatures: =
no-common-ligatures; color: rgb(83, 251, 58);" =
class=3D"">emacs</span><span style=3D"font-variant-ligatures: =
no-common-ligatures; color: rgb(155, 177, 180);" class=3D""> -batch =
-eval </span><span style=3D"font-variant-ligatures: no-common-ligatures" =
class=3D"">"(comp-subr-trampoline-install #'message)"</span></div><div =
style=3D"margin: 0px; font-stretch: normal; font-size: 11px; =
line-height: normal; font-family: Menlo; color: rgb(155, 177, 180); =
background-color: rgba(255, 255, 255, 0.96);" class=3D""><span =
style=3D"font-variant-ligatures: no-common-ligatures" class=3D"">Debugger =
entered--Lisp error: (native-compiler-error (lambda (arg0 &amp;rest =
arg1) (let ((f #'message)) (apply f arg0 arg1))) "Compiling =
/Users/catap/.emacs.d/eln-cache/28.0.50-...")</span></div><div =
style=3D"margin: 0px; font-stretch: normal; font-size: 11px; =
line-height: normal; font-family: Menlo; color: rgb(155, 177, 180); =
background-color: rgba(255, 255, 255, 0.96);" class=3D""><span =
style=3D"font-variant-ligatures: no-common-ligatures" class=3D"">&nbsp; =
signal(native-compiler-error ((lambda (arg0 &amp;rest arg1) (let ((f =
#'message)) (apply f arg0 arg1))) "Compiling =
/Users/catap/.emacs.d/eln-cache/28.0.50-..."))</span></div><div =
style=3D"margin: 0px; font-stretch: normal; font-size: 11px; =
line-height: normal; font-family: Menlo; color: rgb(155, 177, 180); =
background-color: rgba(255, 255, 255, 0.96);" class=3D""><span =
style=3D"font-variant-ligatures: no-common-ligatures" class=3D"">&nbsp; =
comp--native-compile((lambda (arg0 &amp;rest arg1) (let ((f #'message)) =
(apply f arg0 arg1))) nil =
"/Users/catap/.emacs.d/eln-cache/28.0.50-x86_64-app...")</span></div><div =
style=3D"margin: 0px; font-stretch: normal; font-size: 11px; =
line-height: normal; font-family: Menlo; color: rgb(155, 177, 180); =
background-color: rgba(255, 255, 255, 0.96);" class=3D""><span =
style=3D"font-variant-ligatures: no-common-ligatures" class=3D"">&nbsp; =
comp-trampoline-compile(message)</span></div><div style=3D"margin: 0px; =
font-stretch: normal; font-size: 11px; line-height: normal; font-family: =
Menlo; color: rgb(155, 177, 180); background-color: rgba(255, 255, 255, =
0.96);" class=3D""><span style=3D"font-variant-ligatures: =
no-common-ligatures" class=3D"">&nbsp; =
comp-subr-trampoline-install(message)</span></div><div style=3D"margin: =
0px; font-stretch: normal; font-size: 11px; line-height: normal; =
font-family: Menlo; color: rgb(155, 177, 180); background-color: =
rgba(255, 255, 255, 0.96);" class=3D""><span =
style=3D"font-variant-ligatures: no-common-ligatures" class=3D"">&nbsp; =
command-line-1(("-eval" "(comp-subr-trampoline-install =
#'message)"))</span></div><div style=3D"margin: 0px; font-stretch: =
normal; font-size: 11px; line-height: normal; font-family: Menlo; color: =
rgb(155, 177, 180); background-color: rgba(255, 255, 255, 0.96);" =
class=3D""><span style=3D"font-variant-ligatures: no-common-ligatures" =
class=3D"">&nbsp; command-line()</span></div><div style=3D"margin: 0px; =
font-stretch: normal; font-size: 11px; line-height: normal; font-family: =
Menlo; color: rgb(155, 177, 180); background-color: rgba(255, 255, 255, =
0.96);" class=3D""><span style=3D"font-variant-ligatures: =
no-common-ligatures" class=3D"">&nbsp; =
normal-top-level()</span></div><div style=3D"margin: 0px; font-stretch: =
normal; font-size: 11px; line-height: normal; font-family: Menlo; color: =
rgb(155, 177, 180); background-color: rgba(255, 255, 255, 0.96); =
min-height: 13px;" class=3D""><span style=3D"font-variant-ligatures: =
no-common-ligatures" class=3D""></span><br class=3D""></div><div =
style=3D"margin: 0px; font-stretch: normal; font-size: 11px; =
line-height: normal; font-family: Menlo; color: rgb(155, 177, 180); =
background-color: rgba(255, 255, 255, 0.96);" class=3D""><span =
style=3D"font-variant-ligatures: no-common-ligatures; color: rgb(255, =
68, 46);" class=3D"">?</span><span style=3D"font-variant-ligatures: =
no-common-ligatures" class=3D""> </span><span =
style=3D"font-variant-ligatures: no-common-ligatures; color: rgb(139, =
158, 158);" class=3D"">~</span><span style=3D"font-variant-ligatures: =
no-common-ligatures" class=3D""> %&nbsp;</span></div></div><div =
class=3D""><span style=3D"font-variant-ligatures: no-common-ligatures" =
class=3D""><br class=3D""></span></div><div class=3D"">The =
last&nbsp;<span style=3D"caret-color: rgb(255, 68, 46); color: rgb(255, =
68, 46); font-family: Menlo; font-size: 11px; background-color: =
rgba(255, 255, 255, 0.96);" class=3D"">?</span>&nbsp;means that exit =
code wasn't zero</div><div class=3D""><br class=3D""><div class=3D"">
<div style=3D"caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0); =
font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
orphans: auto; text-align: start; text-indent: 0px; text-transform: =
none; white-space: normal; widows: auto; word-spacing: 0px; =
-webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px; =
text-decoration: none;">--&nbsp;<br class=3D"">wbr, Kirill</div>

</div>
<div><br class=3D""><blockquote type=3D"cite" class=3D""><div =
class=3D"">On 12. Jan 2021, at 20:38, Andrea Corallo &lt;<a =
href=3D"mailto:akrl@HIDDEN" class=3D"">akrl@HIDDEN</a>&gt; =
wrote:</div><br class=3D"Apple-interchange-newline"><div class=3D""><div =
class=3D"">"Kirill A. Korinsky" via "Bug reports for GNU Emacs, the =
Swiss army<br class=3D"">knife of text editors" &lt;<a =
href=3D"mailto:bug-gnu-emacs@HIDDEN" =
class=3D"">bug-gnu-emacs@HIDDEN</a>&gt; writes:<br class=3D""><br =
class=3D""><blockquote type=3D"cite" class=3D"">Good day,<br =
class=3D""><br class=3D"">I've just upgraded emacs to last version of =
devel snapshot from emacs<br class=3D"">ports with native support with =
local git root<br class=3D"">8ad983c4acef60a80e8d6b6ba891b1ef957f2d7c =
and discovered that it can't<br class=3D"">start nor my local config, =
nor emacs-doom. I haven't yet tried spacemacs<br class=3D"">but expected =
that it will be the same issue.<br class=3D""></blockquote><br =
class=3D"">Hi Kirill,<br class=3D""><br class=3D"">the latest =
feature/native-comp is 42ff68ec2f.<br class=3D""><br class=3D"">Anyway I =
think to understand what's going on we need some minimal<br =
class=3D"">reproducer. &nbsp;Could you try running the followig and =
report the output<br class=3D"">(if any)?<br class=3D""><br =
class=3D"">emacs -batch -eval "(comp-subr-trampoline-install =
#'message)"<br class=3D""><br class=3D"">Thanks!<br class=3D""><br =
class=3D""> &nbsp;Andrea<br class=3D""></div></div></blockquote></div><br =
class=3D""></div></body></html>=

--Apple-Mail=_9E6D17FB-F451-4B6D-BBCE-7BCBFF0C1E48--

--Apple-Mail=_381F3233-31E7-42E9-82AD-5B4088FFAF87
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEE3/KLNtcfWfLw7JxqmNjZhndZIm4FAl/+APYACgkQmNjZhndZ
Im7qug//aRn+W6jCw9EH+ZpY6+QPHePLATve+bE1ikKb6ikR4GKj/jbHkSFpOGnz
yiC+UfOUoi/D+ABVM7yupMN1uuOuikQCOybM1ZA4QT0wFYHZCGJRZ7l0+WQAnEjd
1GHd49oyVH2BwXgdS71aTHYfD31k9pwyCFVEPrpov4BAoN/m8no+Pyodd/pKnCOF
n0lKbNflXU2QPX/MBGa0nIAzpxhvLqoI1jXXQcorB3KW6k5oBC+/0QPdLAxdCg7l
k8Fq+ZfC91/zBthGY5T1VIA6mfX1/4XYfC1qTc51Net3DZUfQ73b27WqgeUXE2/C
Yb9SaV2KW0CizDQOy3PkfHq+cW2nnXE7iZdppUVd4k4QFelcD5n364KgervLqkwC
hP256c+TER9kMOy3hduN5+kHagZsmJcVPCChqdt2H4GhwCQU9tEBfpA4K+3gTZiB
xlvNjrdLXYsvVHprxmJeRwyU3xAvo7aheBspfRXjHshrifYYdFljIpnQT8ZVb0tl
zScBwaq6MzSFSOr1cctemSOUC53P6QDW44Ws2XEk4KYoQ7f+QXp2XS5NxLDQYTqd
LXwZU6C+TrRCNTWbtnbOeA3Zmeiw3L+oxGctq4xegwqLNWIFr7TcJlnudGzjrXtd
5I4kclLoYcynpnkbHehW0S2gRWU195frS0hMWvip5NLqGjMnE6g=
=9/IC
-----END PGP SIGNATURE-----

--Apple-Mail=_381F3233-31E7-42E9-82AD-5B4088FFAF87--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at 45817 <at> debbugs.gnu.org:


Received: (at 45817) by debbugs.gnu.org; 12 Jan 2021 20:56:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 15:56:09 2021
Received: from localhost ([127.0.0.1]:33406 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzQhy-000303-8G
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:56:08 -0500
Received: from sender4-op-o13.zoho.com ([136.143.188.13]:17330)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kirill@HIDDEN>) id 1kzPSb-000508-39
 for 45817 <at> debbugs.gnu.org; Tue, 12 Jan 2021 14:36:11 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1610480157; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=Pua9Pa3m73kqTvgTDaIu3uNIR5FH1BK1a4wiOKh1MiYJLfpnXQbGP96TDCfHHMJP4eGdVNJCQpgbafDt5HzpWm1z82Yo+QbeC2BANKTI9lb/Pe6XV8SGhYTc21hQBFRZY9rKG9BR9uH9WKlZ0dy7rpDeIbqPtpgR0G6aPqLCvpI=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1610480157;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=kiKYNQmzXPk0c1CDD3tJa68p8GHfMXBsIXcVQb1vGkU=; 
 b=IGe2Xa+skbFvI3YHLa1Ir90ZH8h2g6rB/EpiDKg4OmbxnXF50nBduFSRDof/dtJj7Y5KR2wqhEV0lsLqKFuclThHv8t2tq5hFW4Hc7rFi/BpNfDRVNb8KnI/LL+jsLFH3lKBL57XgjE3+TZb9fV/F+fDgKiRDnZTddiFo//IAMk=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=korins.ky;
 spf=pass  smtp.mailfrom=kirill@HIDDEN;
 dmarc=pass header.from=<kirill@HIDDEN> header.from=<kirill@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1610480157; 
 s=april2018zoho; d=korins.ky; i=kirill@HIDDEN;
 h=Content-Type:Mime-Version:Subject:From:In-Reply-To:Date:Cc:Message-Id:References:To;
 bh=kiKYNQmzXPk0c1CDD3tJa68p8GHfMXBsIXcVQb1vGkU=;
 b=S/8+vzepPzeo9bK5rfy0HqJBBZrMmuiIbvW8MHIIs8o12SIefz2nv5zvH4piKXq6
 59xJlmoHJZq1BxTr/f+IRuKJzTmHFJ8NcJIFgY4DtqtcBNXraI9wNCvJlxPYiSGWIPm
 OExMFBztarmsqJuqujwD4EI71DlJ5P9xE8IVBWnE=
Received: from macbook-pro.sa31-home.catap.net (sa31.catap.net
 [90.187.54.213]) by mx.zohomail.com
 with SMTPS id 1610480156054598.2234129057994;
 Tue, 12 Jan 2021 11:35:56 -0800 (PST)
Content-Type: multipart/signed;
 boundary="Apple-Mail=_4999E851-B0B7-4ED5-898A-C66731BA4074";
 protocol="application/pgp-signature"; micalg=pgp-sha512
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.40.0.2.32\))
Subject: Re: bug#45817: Acknowledgement (28.0.50; Native fails)
From: "Kirill A. Korinsky" <kirill@HIDDEN>
In-Reply-To: <xjf5z42dmg2.fsf@HIDDEN>
Date: Tue, 12 Jan 2021 20:35:51 +0100
Message-Id: <0AE13615-3126-4BB7-BE69-C2DFB88AD7D6@HIDDEN>
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <handler.45817.B.161046478816838.ack <at> debbugs.gnu.org>
 <67AE79B3-5FD0-46B9-91C9-31CD601FDF30@HIDDEN> <xjf5z42dmg2.fsf@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
X-Mailer: Apple Mail (2.3654.40.0.2.32)
X-Zoho-Virus-Status: 1
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45817
X-Mailman-Approved-At: Tue, 12 Jan 2021 15:56:05 -0500
Cc: 45817 <at> debbugs.gnu.org, "Kirill A. Korinsky via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--Apple-Mail=_4999E851-B0B7-4ED5-898A-C66731BA4074
Content-Type: multipart/alternative;
	boundary="Apple-Mail=_7BE3F59C-8468-406E-B508-F83A938A1496"


--Apple-Mail=_7BE3F59C-8468-406E-B508-F83A938A1496
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

Hey,

The right path is =
/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib

How can I add -L option to spcify path? :)

--
wbr, Kirill

> On 12. Jan 2021, at 19:44, Andrea Corallo <akrl@HIDDEN> wrote:
>=20
> "Kirill A. Korinsky" via "Bug reports for GNU Emacs, the Swiss army
> knife of text editors" <bug-gnu-emacs@HIDDEN> writes:
>=20
>> I found a bit more logs:
>>=20
>> ld: library not found for -lSystem
>> collect2: error: ld returned 1 exit status
>> libgccjit.so: error: error invoking gcc driver
>>=20
>> Looks like the right fix is something like this:
>> =
https://opensource.apple.com/source/dyld/dyld-97.1/include/mach-o/dyld-int=
erposing.h.auto.html
>>=20
>> For example an issue that looks very similar with this one at =
Haskell: https://gitlab.haskell.org/ghc/ghc/-/issues/18446
>=20
> Hi Kirill,
>=20
> this looks like a system miss configuration.
>=20
> By the way I don't recall anything changed in this respect so if it
> worked in the past I guess something changed on your sys =
configuration.
>=20
> Perhaps you've upgraded your OS?
>=20
> Do you knwon where (and if) this library is on your system?
>=20
>  Andrea


--Apple-Mail=_7BE3F59C-8468-406E-B508-F83A938A1496
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=us-ascii

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dus-ascii"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" =
class=3D"">Hey,<div class=3D""><br class=3D""></div><div class=3D"">The =
right path =
is&nbsp;/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib</div><=
div class=3D""><br class=3D""></div><div class=3D"">How can I add -L =
option to spcify path? :)</div><div class=3D""><br class=3D""></div><div =
class=3D""><div class=3D"">
<div style=3D"caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0); =
font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
orphans: auto; text-align: start; text-indent: 0px; text-transform: =
none; white-space: normal; widows: auto; word-spacing: 0px; =
-webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px; =
text-decoration: none;">--&nbsp;<br class=3D"">wbr, Kirill</div>

</div>
<div><br class=3D""><blockquote type=3D"cite" class=3D""><div =
class=3D"">On 12. Jan 2021, at 19:44, Andrea Corallo &lt;<a =
href=3D"mailto:akrl@HIDDEN" class=3D"">akrl@HIDDEN</a>&gt; =
wrote:</div><br class=3D"Apple-interchange-newline"><div class=3D""><div =
class=3D"">"Kirill A. Korinsky" via "Bug reports for GNU Emacs, the =
Swiss army<br class=3D"">knife of text editors" &lt;<a =
href=3D"mailto:bug-gnu-emacs@HIDDEN" =
class=3D"">bug-gnu-emacs@HIDDEN</a>&gt; writes:<br class=3D""><br =
class=3D""><blockquote type=3D"cite" class=3D"">I found a bit more =
logs:<br class=3D""><br class=3D"">ld: library not found for -lSystem<br =
class=3D"">collect2: error: ld returned 1 exit status<br =
class=3D"">libgccjit.so: error: error invoking gcc driver<br =
class=3D""><br class=3D"">Looks like the right fix is something like =
this:<br class=3D""><a =
href=3D"https://opensource.apple.com/source/dyld/dyld-97.1/include/mach-o/=
dyld-interposing.h.auto.html" =
class=3D"">https://opensource.apple.com/source/dyld/dyld-97.1/include/mach=
-o/dyld-interposing.h.auto.html</a><br class=3D""><br class=3D"">For =
example an issue that looks very similar with this one at Haskell: =
https://gitlab.haskell.org/ghc/ghc/-/issues/18446<br =
class=3D""></blockquote><br class=3D"">Hi Kirill,<br class=3D""><br =
class=3D"">this looks like a system miss configuration.<br class=3D""><br =
class=3D"">By the way I don't recall anything changed in this respect so =
if it<br class=3D"">worked in the past I guess something changed on your =
sys configuration.<br class=3D""><br class=3D"">Perhaps you've upgraded =
your OS?<br class=3D""><br class=3D"">Do you knwon where (and if) this =
library is on your system?<br class=3D""><br class=3D""> &nbsp;Andrea<br =
class=3D""></div></div></blockquote></div><br =
class=3D""></div></body></html>=

--Apple-Mail=_7BE3F59C-8468-406E-B508-F83A938A1496--

--Apple-Mail=_4999E851-B0B7-4ED5-898A-C66731BA4074
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEE3/KLNtcfWfLw7JxqmNjZhndZIm4FAl/9+hcACgkQmNjZhndZ
Im7uaQ/5AaX+oIoAFZcyVDgwPzDrMR5qTbCzDv09sRafBoEmZLEgAe3zom+AkOv6
kef80rnuvAAWKE108hYggrKbAdOmJSIGvo5Sp2u/syjb88R/F4eoOkVvMuxAmdZW
9dtz6Qe8cKAbmyB5ajv/3upL/o86A93KKQO9YirO4K9O3QMaWx42WAw5DNKTCZ+H
g5v7Qm8Vxg/EWgbNHHKJWE38nF+MFhzShYZsJtxUAfWZ4KHHNCjoBJEomRg+o+d/
oXtq8OizdKiJ7W7shay0zfInpDdau/6RUpoIQ5szQQd7e1cPpAlriCJnrSixsFG+
jcgMw3ouWt8j+8JuyuPfxk+7XD54lzZsr2D2eHdb48RmZ3DmFt1tx0oDFvGH6aTs
Cl9vamln7btuRSjzKBakY7pliePkT2oT211xXYSQAmN9zHbdtN6v2SBJ5acj7KcT
389ASPDZmkTiEKsFn9RJaiowNIU7IeFoT1We+PRBh8hAkW5yK4vci69Bh5EUiw1m
Tv4NXxYifxmK7HoiuKmRrRaj3fnybDIhjeq4XOs+TRrIfg+jzsZU0e86Wx91IWke
+cghL3aqwDLffn9KDtoQ9WSyEffPX4KApLfxOxJqXuRaK/xDc0dFArlw/JFz8Fyj
LMOwlGsm6uHLIEFfV/wy2mBWQiScZ0jqh3eLC93vIzEJDPVudXc=
=PGNa
-----END PGP SIGNATURE-----

--Apple-Mail=_4999E851-B0B7-4ED5-898A-C66731BA4074--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2021 20:56:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 15:56:11 2021
Received: from localhost ([127.0.0.1]:33414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzQi2-00030U-9x
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:56:11 -0500
Received: from lists.gnu.org ([209.51.188.17]:38140)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kirill@HIDDEN>) id 1kzQWl-0000av-UM
 for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:44:32 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:59404)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kirill@HIDDEN>) id 1kzQWl-0006v0-LB
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 15:44:31 -0500
Received: from sender4-op-o12.zoho.com ([136.143.188.12]:17252)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kirill@HIDDEN>) id 1kzQWj-0001Xu-Bm
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 15:44:31 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1610484265; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=ndBgiRuec/oz+kwqcet4Dq5ZI3AxvGRauhLIwPWhtzkUvphobb8wgwlsE1vj+De7f2amLwYgpgw8dvH30mrLjwRDDHs4dm8/CzJP3IKTqBaUERQWu77+knfpQXAnVrLqTAFBB25XQmvlLKR/APuo074gZTn8CLznKaQ0LiOqZYo=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1610484265;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=A2t+WHwkksHGdujqmzzPo9i5GpXiqifBFHqReh2vUCw=; 
 b=jjYn5aZVknDnEWx+UEwiQX1tnBvGApQ5L/41pA6euPMpwvFoZ1xrxTKKxN6pA9CLzsNL9QnFyogB3dLjBOqhoQ+meaNLJ6dXvFyPOXX2HdGFoji/zSvy3Dcuqr5GIXpuRGxi+nk+4wqwCseYO1W0MDqvr1fQ+T/Wb8/prI+Nwmo=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=korins.ky;
 spf=pass  smtp.mailfrom=kirill@HIDDEN;
 dmarc=pass header.from=<kirill@HIDDEN> header.from=<kirill@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1610484265; 
 s=april2018zoho; d=korins.ky; i=kirill@HIDDEN;
 h=Content-Type:Mime-Version:Subject:From:In-Reply-To:Date:Cc:Message-Id:References:To;
 bh=A2t+WHwkksHGdujqmzzPo9i5GpXiqifBFHqReh2vUCw=;
 b=Mdu2DcZzo1Puvoh3nhSfMe3lw5OqZjkM4Z09L5EGsHcTOEWA5dC/jzw1lEquOXlX
 TezjMP8VB8rlnVU95Z96d6jcwfBEp91I5ZT6wTQhBNcLEVTHLqnGjxBboAsb7wmJTLe
 /bu/CxSuvRDZx/FsTz3G/7n1FzdeF08nEgfksCyE=
Received: from macbook-pro.sa31-home.catap.net (sa31.catap.net
 [90.187.54.213]) by mx.zohomail.com
 with SMTPS id 1610484262977686.7317025820629;
 Tue, 12 Jan 2021 12:44:22 -0800 (PST)
Content-Type: multipart/signed;
 boundary="Apple-Mail=_DBA3FB0A-E4AD-4F11-904E-98D718D0EFFA";
 protocol="application/pgp-signature"; micalg=pgp-sha512
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.40.0.2.32\))
Subject: Re: bug#45817: 28.0.50; Native fails
From: "Kirill A. Korinsky" <kirill@HIDDEN>
In-Reply-To: <xjfh7nldhrw.fsf@HIDDEN>
Date: Tue, 12 Jan 2021 21:44:18 +0100
Message-Id: <FC32037E-7C3F-45D8-9BAA-71423032F85D@HIDDEN>
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <xjfturmc5dt.fsf@HIDDEN> <8D26BD1C-F176-4F8F-9D95-3035DBD9FB0C@HIDDEN>
 <xjfh7nldhrw.fsf@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
X-Mailer: Apple Mail (2.3654.40.0.2.32)
X-Zoho-Virus-Status: 1
X-ZohoMailClient: External
Received-SPF: pass client-ip=136.143.188.12; envelope-from=kirill@HIDDEN;
 helo=sender4-op-o12.zoho.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 12 Jan 2021 15:56:05 -0500
Cc: 45817 <at> debbugs.gnu.org, "Kirill A. Korinsky via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--Apple-Mail=_DBA3FB0A-E4AD-4F11-904E-98D718D0EFFA
Content-Type: multipart/alternative;
	boundary="Apple-Mail=_01BC0870-5447-4010-8F63-C693B700E9F8"


--Apple-Mail=_01BC0870-5447-4010-8F63-C693B700E9F8
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

Both LD_LIBRARY_PATH and DYLD_LIBRARY_PATH doesn't help.

But if I put into early-init.el:

(setq comp-native-driver-options '(
      (concat
       "-L"
       (substring (shell-command-to-string "xcode-select -p") 0 -1)
       "/SDKs/MacOSX.sdk/usr/lib")))

The error has changed to:

Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p =
"Abort trap: 6")
  comp-final(nil)
  #f(compiled-function (pass) #<bytecode 0xb1e0d621e6fccdf>)(comp-final)
  mapc(#f(compiled-function (pass) #<bytecode 0xb1e0d621e6fccdf>) =
(comp-spill-lap comp-limplify comp-fwprop comp-call-optim comp-ipa-pure =
comp-add-cstrs comp-fwprop comp-dead-code comp-tco comp-fwprop =
comp-remove-type-hints comp-final))
  comp--native-compile((lambda (arg0 &optional) (let ((f #'yes-or-no-p)) =
(funcall f arg0))) nil =
"/Users/catap/src/doom-emacs/.local/cache/eln/28.0.50-x86_64-apple-darwin2=
0.2.0-fd47d85b89f8ef6ced8660b41eff701c/subr--trampoline-7965732d6f722d6e6f=
2d70_yes_or_no_p_0.eln")
  comp-trampoline-compile(yes-or-no-p)
  comp-subr-trampoline-install(yes-or-no-p)


--
wbr, Kirill

> On 12. Jan 2021, at 21:25, Andrea Corallo <akrl@HIDDEN> wrote:
>=20
> "Kirill A. Korinsky" <kirill@HIDDEN <mailto:kirill@HIDDEN>> =
writes:
>=20
>> Here it is:
>>=20
>> =E2=88=9A ~ % emacs -batch -eval "(comp-subr-trampoline-install =
#'message)"
>> Debugger entered--Lisp error: (native-compiler-error (lambda (arg0 =
&rest arg1) (let ((f #'message)) (apply f arg0 arg1)))
>> "Compiling /Users/catap/.emacs.d/eln-cache/28.0.50-...")
>>  signal(native-compiler-error ((lambda (arg0 &rest arg1) (let ((f =
#'message)) (apply f arg0 arg1))) "Compiling
>> /Users/catap/.emacs.d/eln-cache/28.0.50-..."))
>>  comp--native-compile((lambda (arg0 &rest arg1) (let ((f #'message)) =
(apply f arg0 arg1))) nil
>> "/Users/catap/.emacs.d/eln-cache/28.0.50-x86_64-app...")
>>  comp-trampoline-compile(message)
>>  comp-subr-trampoline-install(message)
>>  command-line-1(("-eval" "(comp-subr-trampoline-install #'message)"))
>>  command-line()
>>  normal-top-level()
>>=20
>> ? ~ %
>>=20
>> The last ? means that exit code wasn't zero
>=20
> Yeah sorry, I've lost track of all messages I'm replying and thought
> were two separate bugs, I think the right counter measure to this =
issue
> is in my last message on this thread (LIBRARY_PATH).
>=20
>  Andrea


--Apple-Mail=_01BC0870-5447-4010-8F63-C693B700E9F8
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" =
class=3D"">Both&nbsp;LD_LIBRARY_PATH and DYLD_LIBRARY_PATH doesn't =
help.<div class=3D""><br class=3D""></div><div class=3D"">But if I put =
into early-init.el:</div><div class=3D""><br class=3D""></div><div =
class=3D"">(setq comp-native-driver-options '(</div><div class=3D""><div =
class=3D"">&nbsp; &nbsp; &nbsp; (concat</div><div class=3D"">&nbsp; =
&nbsp; &nbsp; &nbsp;"-L"</div><div class=3D"">&nbsp; &nbsp; &nbsp; =
&nbsp;(substring (shell-command-to-string "xcode-select -p") 0 =
-1)</div><div class=3D"">&nbsp; &nbsp; &nbsp; =
&nbsp;"/SDKs/MacOSX.sdk/usr/lib")))</div><div class=3D""><br =
class=3D""></div></div><div class=3D"">The error has changed =
to:</div><div class=3D""><br class=3D""></div><div class=3D""><div =
class=3D"">Debugger entered--Lisp error: (wrong-type-argument =
number-or-marker-p "Abort trap: 6")</div><div class=3D"">&nbsp; =
comp-final(nil)</div><div class=3D"">&nbsp; #f(compiled-function (pass) =
#&lt;bytecode 0xb1e0d621e6fccdf&gt;)(comp-final)</div><div =
class=3D"">&nbsp; mapc(#f(compiled-function (pass) #&lt;bytecode =
0xb1e0d621e6fccdf&gt;) (comp-spill-lap comp-limplify comp-fwprop =
comp-call-optim comp-ipa-pure comp-add-cstrs comp-fwprop comp-dead-code =
comp-tco comp-fwprop comp-remove-type-hints comp-final))</div><div =
class=3D"">&nbsp; comp--native-compile((lambda (arg0 &amp;optional) (let =
((f #'yes-or-no-p)) (funcall f arg0))) nil =
"/Users/catap/src/doom-emacs/.local/cache/eln/28.0.50-x86_64-apple-darwin2=
0.2.0-fd47d85b89f8ef6ced8660b41eff701c/subr--trampoline-7965732d6f722d6e6f=
2d70_yes_or_no_p_0.eln")</div><div class=3D"">&nbsp; =
comp-trampoline-compile(yes-or-no-p)</div><div class=3D"">&nbsp; =
comp-subr-trampoline-install(yes-or-no-p)</div></div><div class=3D""><br =
class=3D""></div><div class=3D""><br class=3D""><div class=3D"">
<div style=3D"caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0); =
font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
orphans: auto; text-align: start; text-indent: 0px; text-transform: =
none; white-space: normal; widows: auto; word-spacing: 0px; =
-webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px; =
text-decoration: none;">--&nbsp;<br class=3D"">wbr, Kirill</div>

</div>
<div><br class=3D""><blockquote type=3D"cite" class=3D""><div =
class=3D"">On 12. Jan 2021, at 21:25, Andrea Corallo &lt;<a =
href=3D"mailto:akrl@HIDDEN" class=3D"">akrl@HIDDEN</a>&gt; =
wrote:</div><br class=3D"Apple-interchange-newline"><div class=3D""><meta =
charset=3D"UTF-8" class=3D""><span style=3D"caret-color: rgb(0, 0, 0); =
font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none; float: none; display: inline !important;" =
class=3D"">"Kirill A. Korinsky" &lt;</span><a =
href=3D"mailto:kirill@HIDDEN" style=3D"font-family: Helvetica; =
font-size: 12px; font-style: normal; font-variant-caps: normal; =
font-weight: normal; letter-spacing: normal; orphans: auto; text-align: =
start; text-indent: 0px; text-transform: none; white-space: normal; =
widows: auto; word-spacing: 0px; -webkit-text-size-adjust: auto; =
-webkit-text-stroke-width: 0px;" class=3D"">kirill@HIDDEN</a><span =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
12px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none; float: none; =
display: inline !important;" class=3D"">&gt; writes:</span><br =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
12px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none;" class=3D""><br =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
12px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none;" =
class=3D""><blockquote type=3D"cite" style=3D"font-family: Helvetica; =
font-size: 12px; font-style: normal; font-variant-caps: normal; =
font-weight: normal; letter-spacing: normal; orphans: auto; text-align: =
start; text-indent: 0px; text-transform: none; white-space: normal; =
widows: auto; word-spacing: 0px; -webkit-text-size-adjust: auto; =
-webkit-text-stroke-width: 0px; text-decoration: none;" class=3D"">Here =
it is:<br class=3D""><br class=3D"">=E2=88=9A ~ % emacs -batch -eval =
"(comp-subr-trampoline-install #'message)"<br class=3D"">Debugger =
entered--Lisp error: (native-compiler-error (lambda (arg0 &amp;rest =
arg1) (let ((f #'message)) (apply f arg0 arg1)))<br class=3D"">"Compiling =
/Users/catap/.emacs.d/eln-cache/28.0.50-...")<br =
class=3D"">&nbsp;signal(native-compiler-error ((lambda (arg0 &amp;rest =
arg1) (let ((f #'message)) (apply f arg0 arg1))) "Compiling<br =
class=3D"">/Users/catap/.emacs.d/eln-cache/28.0.50-..."))<br =
class=3D"">&nbsp;comp--native-compile((lambda (arg0 &amp;rest arg1) (let =
((f #'message)) (apply f arg0 arg1))) nil<br =
class=3D"">"/Users/catap/.emacs.d/eln-cache/28.0.50-x86_64-app...")<br =
class=3D"">&nbsp;comp-trampoline-compile(message)<br =
class=3D"">&nbsp;comp-subr-trampoline-install(message)<br =
class=3D"">&nbsp;command-line-1(("-eval" "(comp-subr-trampoline-install =
#'message)"))<br class=3D"">&nbsp;command-line()<br =
class=3D"">&nbsp;normal-top-level()<br class=3D""><br class=3D"">? ~ =
%<span class=3D"Apple-converted-space">&nbsp;</span><br class=3D""><br =
class=3D"">The last ? means that exit code wasn't zero<br =
class=3D""></blockquote><br style=3D"caret-color: rgb(0, 0, 0); =
font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none;" class=3D""><span style=3D"caret-color: rgb(0, 0, =
0); font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none; float: none; display: inline !important;" =
class=3D"">Yeah sorry, I've lost track of all messages I'm replying and =
thought</span><br style=3D"caret-color: rgb(0, 0, 0); font-family: =
Helvetica; font-size: 12px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none;" class=3D""><span style=3D"caret-color: rgb(0, 0, 0); font-family: =
Helvetica; font-size: 12px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none; float: none; display: inline !important;" class=3D"">were two =
separate bugs, I think the right counter measure to this issue</span><br =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
12px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none;" class=3D""><span =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
12px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none; float: none; =
display: inline !important;" class=3D"">is in my last message on this =
thread (LIBRARY_PATH).</span><br style=3D"caret-color: rgb(0, 0, 0); =
font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none;" class=3D""><br style=3D"caret-color: rgb(0, 0, =
0); font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none;" class=3D""><span style=3D"caret-color: rgb(0, 0, =
0); font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; =
text-decoration: none; float: none; display: inline !important;" =
class=3D"">&nbsp;Andrea</span></div></blockquote></div><br =
class=3D""></div></body></html>=

--Apple-Mail=_01BC0870-5447-4010-8F63-C693B700E9F8--

--Apple-Mail=_DBA3FB0A-E4AD-4F11-904E-98D718D0EFFA
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEE3/KLNtcfWfLw7JxqmNjZhndZIm4FAl/+CiIACgkQmNjZhndZ
Im4y9RAAs8gZu+8Mn3zMYo4av+PNkwkWyIOg2rGM2itTB/s4xpprv9VI07/0VxYp
UH0y5YsX9x8oNga7nQmJbsPiftxzxiYNVJJ5vByXrmxiZJNv0s7RGGjZ4mBWSQ9V
X9mJSGGJm4xA59H718ie7w1KqGI58I2FIYF+hu1FJqd8xBByfUeuANGM9UqcBefW
MAKjPPGKjVim7MjfPjA/KNjSDbBfRWixDw5XHmJ7PoNCPItErY7NvX77lVJldtdn
z60RZ4OxKj2nhqqHWQ2/L6ZFewrWCXLxWIl6Z7ElWIDNbT1dwr1bC+Eh8qawTQWY
IJ5zPXIVHnIt0qFW2ebkfwdlfFE57BASYIJ0DNmJzRUrUyhUeakIsInKndl9U5Ff
LiOX8TQ/0WUChnHDdwB7bBWo2ISOd9n2bZo7xaQMdoFqL+SccSU8nTrKDTKgSxR6
dNtBLmeyyLQ1HUNihsTeE+AyTimEOl82WMvSApjHXtssyquHVUIlawjdCETiq1hH
bHo4lE2xBQ7yNNN6dG1G2Uq09I9P9TKn1nFoB3YxHfaTaLKfaDy5pfOgLdbcBYp0
cHiM4uMo0iGE3UtrYYZf4ISY9d1eOVwE5ZCBVwoi+GoBkD9CwbghGpmg+MVHzo4p
Slpo/N4fxtG+/RIBpQEg7IFs7gzkJVs3hEJnZtJroeRy/xKHh/Q=
=3lPk
-----END PGP SIGNATURE-----

--Apple-Mail=_DBA3FB0A-E4AD-4F11-904E-98D718D0EFFA--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2021 20:56:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 15:56:09 2021
Received: from localhost ([127.0.0.1]:33410 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzQi1-00030F-Db
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:56:09 -0500
Received: from lists.gnu.org ([209.51.188.17]:37226)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kirill@HIDDEN>) id 1kzPuw-0005m3-5M
 for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:05:27 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:50082)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kirill@HIDDEN>) id 1kzPuv-0001KV-TV
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 15:05:26 -0500
Received: from sender4-op-o12.zoho.com ([136.143.188.12]:17285)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kirill@HIDDEN>) id 1kzPup-00043A-Ml
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 15:05:25 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1610481916; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=LwL1yxA9pYOZaGrRl9kJz30C7YCvdss9yi14unv69ZYmThzuc3NqQDYDrt95aI5N904Tjs1FxamAnzOAeyF7Zm1VW/kXfk2dMvyP6af1kGD3TMHrDYxaIdE2QV1FwxaP26QmCIiSPlvVBwmI8/LJqwQkVCTHszFnFpYmdELerGE=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1610481916;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=JH714aBMC/HpSorx9YaK6u0gD1F+aMk/lFusQJCABDs=; 
 b=Ki/Aj2AT5rujZx+6axpNIthZjsNU73owMHN/JGtCWJau2ci0tbSU+hXEPT/GNWY+TvPwwv1EIkXv5WU2Ae9/R6w2jPKvNiLUYl7AuYyGeGdIlS/a5cdKLf16Gg7b2MPEshkY868oIujgDx/3v0+cEermV2Vf7mcorzf5El0qMGk=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=korins.ky;
 spf=pass  smtp.mailfrom=kirill@HIDDEN;
 dmarc=pass header.from=<kirill@HIDDEN> header.from=<kirill@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1610481916; 
 s=april2018zoho; d=korins.ky; i=kirill@HIDDEN;
 h=Content-Type:Mime-Version:Subject:From:In-Reply-To:Date:Cc:Message-Id:References:To;
 bh=JH714aBMC/HpSorx9YaK6u0gD1F+aMk/lFusQJCABDs=;
 b=hM/0eXw+c5WhYFoSf8u+lNAPk1grORJY+59HIytJ6r5QZnwwQSWegxUspkBXCoaA
 LacF/EoW+FXIMCvPLq3+DEIqyFZC9u9bhz3k7jDrA648r7kZHcRXPEUmeR2GpDvFOuK
 cLCbVKlO3/XS3X/qQSuBDWM1WWU4BfCbswmgZ6nE=
Received: from macbook-pro.sa31-home.catap.net (sa31.catap.net
 [90.187.54.213]) by mx.zohomail.com
 with SMTPS id 1610481914520595.8899640952601;
 Tue, 12 Jan 2021 12:05:14 -0800 (PST)
Content-Type: multipart/signed;
 boundary="Apple-Mail=_381F3233-31E7-42E9-82AD-5B4088FFAF87";
 protocol="application/pgp-signature"; micalg=pgp-sha512
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.40.0.2.32\))
Subject: Re: bug#45817: 28.0.50; Native fails
From: "Kirill A. Korinsky" <kirill@HIDDEN>
In-Reply-To: <xjfturmc5dt.fsf@HIDDEN>
Date: Tue, 12 Jan 2021 21:05:10 +0100
Message-Id: <8D26BD1C-F176-4F8F-9D95-3035DBD9FB0C@HIDDEN>
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <xjfturmc5dt.fsf@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
X-Mailer: Apple Mail (2.3654.40.0.2.32)
X-Zoho-Virus-Status: 1
X-ZohoMailClient: External
Received-SPF: pass client-ip=136.143.188.12; envelope-from=kirill@HIDDEN;
 helo=sender4-op-o12.zoho.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 12 Jan 2021 15:56:05 -0500
Cc: 45817 <at> debbugs.gnu.org, "Kirill A. Korinsky via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--Apple-Mail=_381F3233-31E7-42E9-82AD-5B4088FFAF87
Content-Type: multipart/alternative;
	boundary="Apple-Mail=_9E6D17FB-F451-4B6D-BBCE-7BCBFF0C1E48"


--Apple-Mail=_9E6D17FB-F451-4B6D-BBCE-7BCBFF0C1E48
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

Here it is:

=E2=88=9A ~ % emacs -batch -eval "(comp-subr-trampoline-install =
#'message)"
Debugger entered--Lisp error: (native-compiler-error (lambda (arg0 &rest =
arg1) (let ((f #'message)) (apply f arg0 arg1))) "Compiling =
/Users/catap/.emacs.d/eln-cache/28.0.50-...")
  signal(native-compiler-error ((lambda (arg0 &rest arg1) (let ((f =
#'message)) (apply f arg0 arg1))) "Compiling =
/Users/catap/.emacs.d/eln-cache/28.0.50-..."))
  comp--native-compile((lambda (arg0 &rest arg1) (let ((f #'message)) =
(apply f arg0 arg1))) nil =
"/Users/catap/.emacs.d/eln-cache/28.0.50-x86_64-app...")
  comp-trampoline-compile(message)
  comp-subr-trampoline-install(message)
  command-line-1(("-eval" "(comp-subr-trampoline-install #'message)"))
  command-line()
  normal-top-level()

? ~ %

The last ? means that exit code wasn't zero

--
wbr, Kirill

> On 12. Jan 2021, at 20:38, Andrea Corallo <akrl@HIDDEN> wrote:
>=20
> "Kirill A. Korinsky" via "Bug reports for GNU Emacs, the Swiss army
> knife of text editors" <bug-gnu-emacs@HIDDEN> writes:
>=20
>> Good day,
>>=20
>> I've just upgraded emacs to last version of devel snapshot from emacs
>> ports with native support with local git root
>> 8ad983c4acef60a80e8d6b6ba891b1ef957f2d7c and discovered that it can't
>> start nor my local config, nor emacs-doom. I haven't yet tried =
spacemacs
>> but expected that it will be the same issue.
>=20
> Hi Kirill,
>=20
> the latest feature/native-comp is 42ff68ec2f.
>=20
> Anyway I think to understand what's going on we need some minimal
> reproducer.  Could you try running the followig and report the output
> (if any)?
>=20
> emacs -batch -eval "(comp-subr-trampoline-install #'message)"
>=20
> Thanks!
>=20
>  Andrea


--Apple-Mail=_9E6D17FB-F451-4B6D-BBCE-7BCBFF0C1E48
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D"">Here =
it is:<div class=3D""><br class=3D""></div><div class=3D""><div =
style=3D"margin: 0px; font-stretch: normal; font-size: 11px; =
line-height: normal; font-family: Menlo; color: rgb(248, 249, 80); =
background-color: rgba(255, 255, 255, 0.96);" class=3D""><span =
style=3D"font-variant-ligatures: no-common-ligatures; color: rgb(83, =
251, 58);" class=3D"">=E2=88=9A</span><span =
style=3D"font-variant-ligatures: no-common-ligatures; color: rgb(155, =
177, 180);" class=3D""> </span><span style=3D"font-variant-ligatures: =
no-common-ligatures; color: rgb(139, 158, 158);" class=3D"">~</span><span =
style=3D"font-variant-ligatures: no-common-ligatures; color: rgb(155, =
177, 180);" class=3D""> % </span><span style=3D"font-variant-ligatures: =
no-common-ligatures; color: rgb(83, 251, 58);" =
class=3D"">emacs</span><span style=3D"font-variant-ligatures: =
no-common-ligatures; color: rgb(155, 177, 180);" class=3D""> -batch =
-eval </span><span style=3D"font-variant-ligatures: no-common-ligatures" =
class=3D"">"(comp-subr-trampoline-install #'message)"</span></div><div =
style=3D"margin: 0px; font-stretch: normal; font-size: 11px; =
line-height: normal; font-family: Menlo; color: rgb(155, 177, 180); =
background-color: rgba(255, 255, 255, 0.96);" class=3D""><span =
style=3D"font-variant-ligatures: no-common-ligatures" class=3D"">Debugger =
entered--Lisp error: (native-compiler-error (lambda (arg0 &amp;rest =
arg1) (let ((f #'message)) (apply f arg0 arg1))) "Compiling =
/Users/catap/.emacs.d/eln-cache/28.0.50-...")</span></div><div =
style=3D"margin: 0px; font-stretch: normal; font-size: 11px; =
line-height: normal; font-family: Menlo; color: rgb(155, 177, 180); =
background-color: rgba(255, 255, 255, 0.96);" class=3D""><span =
style=3D"font-variant-ligatures: no-common-ligatures" class=3D"">&nbsp; =
signal(native-compiler-error ((lambda (arg0 &amp;rest arg1) (let ((f =
#'message)) (apply f arg0 arg1))) "Compiling =
/Users/catap/.emacs.d/eln-cache/28.0.50-..."))</span></div><div =
style=3D"margin: 0px; font-stretch: normal; font-size: 11px; =
line-height: normal; font-family: Menlo; color: rgb(155, 177, 180); =
background-color: rgba(255, 255, 255, 0.96);" class=3D""><span =
style=3D"font-variant-ligatures: no-common-ligatures" class=3D"">&nbsp; =
comp--native-compile((lambda (arg0 &amp;rest arg1) (let ((f #'message)) =
(apply f arg0 arg1))) nil =
"/Users/catap/.emacs.d/eln-cache/28.0.50-x86_64-app...")</span></div><div =
style=3D"margin: 0px; font-stretch: normal; font-size: 11px; =
line-height: normal; font-family: Menlo; color: rgb(155, 177, 180); =
background-color: rgba(255, 255, 255, 0.96);" class=3D""><span =
style=3D"font-variant-ligatures: no-common-ligatures" class=3D"">&nbsp; =
comp-trampoline-compile(message)</span></div><div style=3D"margin: 0px; =
font-stretch: normal; font-size: 11px; line-height: normal; font-family: =
Menlo; color: rgb(155, 177, 180); background-color: rgba(255, 255, 255, =
0.96);" class=3D""><span style=3D"font-variant-ligatures: =
no-common-ligatures" class=3D"">&nbsp; =
comp-subr-trampoline-install(message)</span></div><div style=3D"margin: =
0px; font-stretch: normal; font-size: 11px; line-height: normal; =
font-family: Menlo; color: rgb(155, 177, 180); background-color: =
rgba(255, 255, 255, 0.96);" class=3D""><span =
style=3D"font-variant-ligatures: no-common-ligatures" class=3D"">&nbsp; =
command-line-1(("-eval" "(comp-subr-trampoline-install =
#'message)"))</span></div><div style=3D"margin: 0px; font-stretch: =
normal; font-size: 11px; line-height: normal; font-family: Menlo; color: =
rgb(155, 177, 180); background-color: rgba(255, 255, 255, 0.96);" =
class=3D""><span style=3D"font-variant-ligatures: no-common-ligatures" =
class=3D"">&nbsp; command-line()</span></div><div style=3D"margin: 0px; =
font-stretch: normal; font-size: 11px; line-height: normal; font-family: =
Menlo; color: rgb(155, 177, 180); background-color: rgba(255, 255, 255, =
0.96);" class=3D""><span style=3D"font-variant-ligatures: =
no-common-ligatures" class=3D"">&nbsp; =
normal-top-level()</span></div><div style=3D"margin: 0px; font-stretch: =
normal; font-size: 11px; line-height: normal; font-family: Menlo; color: =
rgb(155, 177, 180); background-color: rgba(255, 255, 255, 0.96); =
min-height: 13px;" class=3D""><span style=3D"font-variant-ligatures: =
no-common-ligatures" class=3D""></span><br class=3D""></div><div =
style=3D"margin: 0px; font-stretch: normal; font-size: 11px; =
line-height: normal; font-family: Menlo; color: rgb(155, 177, 180); =
background-color: rgba(255, 255, 255, 0.96);" class=3D""><span =
style=3D"font-variant-ligatures: no-common-ligatures; color: rgb(255, =
68, 46);" class=3D"">?</span><span style=3D"font-variant-ligatures: =
no-common-ligatures" class=3D""> </span><span =
style=3D"font-variant-ligatures: no-common-ligatures; color: rgb(139, =
158, 158);" class=3D"">~</span><span style=3D"font-variant-ligatures: =
no-common-ligatures" class=3D""> %&nbsp;</span></div></div><div =
class=3D""><span style=3D"font-variant-ligatures: no-common-ligatures" =
class=3D""><br class=3D""></span></div><div class=3D"">The =
last&nbsp;<span style=3D"caret-color: rgb(255, 68, 46); color: rgb(255, =
68, 46); font-family: Menlo; font-size: 11px; background-color: =
rgba(255, 255, 255, 0.96);" class=3D"">?</span>&nbsp;means that exit =
code wasn't zero</div><div class=3D""><br class=3D""><div class=3D"">
<div style=3D"caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0); =
font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
orphans: auto; text-align: start; text-indent: 0px; text-transform: =
none; white-space: normal; widows: auto; word-spacing: 0px; =
-webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px; =
text-decoration: none;">--&nbsp;<br class=3D"">wbr, Kirill</div>

</div>
<div><br class=3D""><blockquote type=3D"cite" class=3D""><div =
class=3D"">On 12. Jan 2021, at 20:38, Andrea Corallo &lt;<a =
href=3D"mailto:akrl@HIDDEN" class=3D"">akrl@HIDDEN</a>&gt; =
wrote:</div><br class=3D"Apple-interchange-newline"><div class=3D""><div =
class=3D"">"Kirill A. Korinsky" via "Bug reports for GNU Emacs, the =
Swiss army<br class=3D"">knife of text editors" &lt;<a =
href=3D"mailto:bug-gnu-emacs@HIDDEN" =
class=3D"">bug-gnu-emacs@HIDDEN</a>&gt; writes:<br class=3D""><br =
class=3D""><blockquote type=3D"cite" class=3D"">Good day,<br =
class=3D""><br class=3D"">I've just upgraded emacs to last version of =
devel snapshot from emacs<br class=3D"">ports with native support with =
local git root<br class=3D"">8ad983c4acef60a80e8d6b6ba891b1ef957f2d7c =
and discovered that it can't<br class=3D"">start nor my local config, =
nor emacs-doom. I haven't yet tried spacemacs<br class=3D"">but expected =
that it will be the same issue.<br class=3D""></blockquote><br =
class=3D"">Hi Kirill,<br class=3D""><br class=3D"">the latest =
feature/native-comp is 42ff68ec2f.<br class=3D""><br class=3D"">Anyway I =
think to understand what's going on we need some minimal<br =
class=3D"">reproducer. &nbsp;Could you try running the followig and =
report the output<br class=3D"">(if any)?<br class=3D""><br =
class=3D"">emacs -batch -eval "(comp-subr-trampoline-install =
#'message)"<br class=3D""><br class=3D"">Thanks!<br class=3D""><br =
class=3D""> &nbsp;Andrea<br class=3D""></div></div></blockquote></div><br =
class=3D""></div></body></html>=

--Apple-Mail=_9E6D17FB-F451-4B6D-BBCE-7BCBFF0C1E48--

--Apple-Mail=_381F3233-31E7-42E9-82AD-5B4088FFAF87
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEE3/KLNtcfWfLw7JxqmNjZhndZIm4FAl/+APYACgkQmNjZhndZ
Im7qug//aRn+W6jCw9EH+ZpY6+QPHePLATve+bE1ikKb6ikR4GKj/jbHkSFpOGnz
yiC+UfOUoi/D+ABVM7yupMN1uuOuikQCOybM1ZA4QT0wFYHZCGJRZ7l0+WQAnEjd
1GHd49oyVH2BwXgdS71aTHYfD31k9pwyCFVEPrpov4BAoN/m8no+Pyodd/pKnCOF
n0lKbNflXU2QPX/MBGa0nIAzpxhvLqoI1jXXQcorB3KW6k5oBC+/0QPdLAxdCg7l
k8Fq+ZfC91/zBthGY5T1VIA6mfX1/4XYfC1qTc51Net3DZUfQ73b27WqgeUXE2/C
Yb9SaV2KW0CizDQOy3PkfHq+cW2nnXE7iZdppUVd4k4QFelcD5n364KgervLqkwC
hP256c+TER9kMOy3hduN5+kHagZsmJcVPCChqdt2H4GhwCQU9tEBfpA4K+3gTZiB
xlvNjrdLXYsvVHprxmJeRwyU3xAvo7aheBspfRXjHshrifYYdFljIpnQT8ZVb0tl
zScBwaq6MzSFSOr1cctemSOUC53P6QDW44Ws2XEk4KYoQ7f+QXp2XS5NxLDQYTqd
LXwZU6C+TrRCNTWbtnbOeA3Zmeiw3L+oxGctq4xegwqLNWIFr7TcJlnudGzjrXtd
5I4kclLoYcynpnkbHehW0S2gRWU195frS0hMWvip5NLqGjMnE6g=
=9/IC
-----END PGP SIGNATURE-----

--Apple-Mail=_381F3233-31E7-42E9-82AD-5B4088FFAF87--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2021 20:56:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 15:56:09 2021
Received: from localhost ([127.0.0.1]:33408 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzQi0-000308-Vn
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:56:09 -0500
Received: from lists.gnu.org ([209.51.188.17]:54430)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kirill@HIDDEN>) id 1kzPSd-00050N-DJ
 for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 14:36:11 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:42008)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kirill@HIDDEN>) id 1kzPSa-000117-Ek
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 14:36:11 -0500
Received: from sender4-op-o13.zoho.com ([136.143.188.13]:17328)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kirill@HIDDEN>) id 1kzPST-0002d4-Ix
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 14:36:07 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1610480157; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=Pua9Pa3m73kqTvgTDaIu3uNIR5FH1BK1a4wiOKh1MiYJLfpnXQbGP96TDCfHHMJP4eGdVNJCQpgbafDt5HzpWm1z82Yo+QbeC2BANKTI9lb/Pe6XV8SGhYTc21hQBFRZY9rKG9BR9uH9WKlZ0dy7rpDeIbqPtpgR0G6aPqLCvpI=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1610480157;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=kiKYNQmzXPk0c1CDD3tJa68p8GHfMXBsIXcVQb1vGkU=; 
 b=IGe2Xa+skbFvI3YHLa1Ir90ZH8h2g6rB/EpiDKg4OmbxnXF50nBduFSRDof/dtJj7Y5KR2wqhEV0lsLqKFuclThHv8t2tq5hFW4Hc7rFi/BpNfDRVNb8KnI/LL+jsLFH3lKBL57XgjE3+TZb9fV/F+fDgKiRDnZTddiFo//IAMk=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=korins.ky;
 spf=pass  smtp.mailfrom=kirill@HIDDEN;
 dmarc=pass header.from=<kirill@HIDDEN> header.from=<kirill@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1610480157; 
 s=april2018zoho; d=korins.ky; i=kirill@HIDDEN;
 h=Content-Type:Mime-Version:Subject:From:In-Reply-To:Date:Cc:Message-Id:References:To;
 bh=kiKYNQmzXPk0c1CDD3tJa68p8GHfMXBsIXcVQb1vGkU=;
 b=S/8+vzepPzeo9bK5rfy0HqJBBZrMmuiIbvW8MHIIs8o12SIefz2nv5zvH4piKXq6
 59xJlmoHJZq1BxTr/f+IRuKJzTmHFJ8NcJIFgY4DtqtcBNXraI9wNCvJlxPYiSGWIPm
 OExMFBztarmsqJuqujwD4EI71DlJ5P9xE8IVBWnE=
Received: from macbook-pro.sa31-home.catap.net (sa31.catap.net
 [90.187.54.213]) by mx.zohomail.com
 with SMTPS id 1610480156054598.2234129057994;
 Tue, 12 Jan 2021 11:35:56 -0800 (PST)
Content-Type: multipart/signed;
 boundary="Apple-Mail=_4999E851-B0B7-4ED5-898A-C66731BA4074";
 protocol="application/pgp-signature"; micalg=pgp-sha512
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.40.0.2.32\))
Subject: Re: bug#45817: Acknowledgement (28.0.50; Native fails)
From: "Kirill A. Korinsky" <kirill@HIDDEN>
In-Reply-To: <xjf5z42dmg2.fsf@HIDDEN>
Date: Tue, 12 Jan 2021 20:35:51 +0100
Message-Id: <0AE13615-3126-4BB7-BE69-C2DFB88AD7D6@HIDDEN>
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <handler.45817.B.161046478816838.ack <at> debbugs.gnu.org>
 <67AE79B3-5FD0-46B9-91C9-31CD601FDF30@HIDDEN> <xjf5z42dmg2.fsf@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
X-Mailer: Apple Mail (2.3654.40.0.2.32)
X-Zoho-Virus-Status: 1
X-ZohoMailClient: External
Received-SPF: pass client-ip=136.143.188.13; envelope-from=kirill@HIDDEN;
 helo=sender4-op-o13.zoho.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 12 Jan 2021 15:56:05 -0500
Cc: 45817 <at> debbugs.gnu.org, "Kirill A. Korinsky via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--Apple-Mail=_4999E851-B0B7-4ED5-898A-C66731BA4074
Content-Type: multipart/alternative;
	boundary="Apple-Mail=_7BE3F59C-8468-406E-B508-F83A938A1496"


--Apple-Mail=_7BE3F59C-8468-406E-B508-F83A938A1496
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

Hey,

The right path is =
/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib

How can I add -L option to spcify path? :)

--
wbr, Kirill

> On 12. Jan 2021, at 19:44, Andrea Corallo <akrl@HIDDEN> wrote:
>=20
> "Kirill A. Korinsky" via "Bug reports for GNU Emacs, the Swiss army
> knife of text editors" <bug-gnu-emacs@HIDDEN> writes:
>=20
>> I found a bit more logs:
>>=20
>> ld: library not found for -lSystem
>> collect2: error: ld returned 1 exit status
>> libgccjit.so: error: error invoking gcc driver
>>=20
>> Looks like the right fix is something like this:
>> =
https://opensource.apple.com/source/dyld/dyld-97.1/include/mach-o/dyld-int=
erposing.h.auto.html
>>=20
>> For example an issue that looks very similar with this one at =
Haskell: https://gitlab.haskell.org/ghc/ghc/-/issues/18446
>=20
> Hi Kirill,
>=20
> this looks like a system miss configuration.
>=20
> By the way I don't recall anything changed in this respect so if it
> worked in the past I guess something changed on your sys =
configuration.
>=20
> Perhaps you've upgraded your OS?
>=20
> Do you knwon where (and if) this library is on your system?
>=20
>  Andrea


--Apple-Mail=_7BE3F59C-8468-406E-B508-F83A938A1496
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=us-ascii

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dus-ascii"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" =
class=3D"">Hey,<div class=3D""><br class=3D""></div><div class=3D"">The =
right path =
is&nbsp;/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib</div><=
div class=3D""><br class=3D""></div><div class=3D"">How can I add -L =
option to spcify path? :)</div><div class=3D""><br class=3D""></div><div =
class=3D""><div class=3D"">
<div style=3D"caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0); =
font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
orphans: auto; text-align: start; text-indent: 0px; text-transform: =
none; white-space: normal; widows: auto; word-spacing: 0px; =
-webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px; =
text-decoration: none;">--&nbsp;<br class=3D"">wbr, Kirill</div>

</div>
<div><br class=3D""><blockquote type=3D"cite" class=3D""><div =
class=3D"">On 12. Jan 2021, at 19:44, Andrea Corallo &lt;<a =
href=3D"mailto:akrl@HIDDEN" class=3D"">akrl@HIDDEN</a>&gt; =
wrote:</div><br class=3D"Apple-interchange-newline"><div class=3D""><div =
class=3D"">"Kirill A. Korinsky" via "Bug reports for GNU Emacs, the =
Swiss army<br class=3D"">knife of text editors" &lt;<a =
href=3D"mailto:bug-gnu-emacs@HIDDEN" =
class=3D"">bug-gnu-emacs@HIDDEN</a>&gt; writes:<br class=3D""><br =
class=3D""><blockquote type=3D"cite" class=3D"">I found a bit more =
logs:<br class=3D""><br class=3D"">ld: library not found for -lSystem<br =
class=3D"">collect2: error: ld returned 1 exit status<br =
class=3D"">libgccjit.so: error: error invoking gcc driver<br =
class=3D""><br class=3D"">Looks like the right fix is something like =
this:<br class=3D""><a =
href=3D"https://opensource.apple.com/source/dyld/dyld-97.1/include/mach-o/=
dyld-interposing.h.auto.html" =
class=3D"">https://opensource.apple.com/source/dyld/dyld-97.1/include/mach=
-o/dyld-interposing.h.auto.html</a><br class=3D""><br class=3D"">For =
example an issue that looks very similar with this one at Haskell: =
https://gitlab.haskell.org/ghc/ghc/-/issues/18446<br =
class=3D""></blockquote><br class=3D"">Hi Kirill,<br class=3D""><br =
class=3D"">this looks like a system miss configuration.<br class=3D""><br =
class=3D"">By the way I don't recall anything changed in this respect so =
if it<br class=3D"">worked in the past I guess something changed on your =
sys configuration.<br class=3D""><br class=3D"">Perhaps you've upgraded =
your OS?<br class=3D""><br class=3D"">Do you knwon where (and if) this =
library is on your system?<br class=3D""><br class=3D""> &nbsp;Andrea<br =
class=3D""></div></div></blockquote></div><br =
class=3D""></div></body></html>=

--Apple-Mail=_7BE3F59C-8468-406E-B508-F83A938A1496--

--Apple-Mail=_4999E851-B0B7-4ED5-898A-C66731BA4074
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEE3/KLNtcfWfLw7JxqmNjZhndZIm4FAl/9+hcACgkQmNjZhndZ
Im7uaQ/5AaX+oIoAFZcyVDgwPzDrMR5qTbCzDv09sRafBoEmZLEgAe3zom+AkOv6
kef80rnuvAAWKE108hYggrKbAdOmJSIGvo5Sp2u/syjb88R/F4eoOkVvMuxAmdZW
9dtz6Qe8cKAbmyB5ajv/3upL/o86A93KKQO9YirO4K9O3QMaWx42WAw5DNKTCZ+H
g5v7Qm8Vxg/EWgbNHHKJWE38nF+MFhzShYZsJtxUAfWZ4KHHNCjoBJEomRg+o+d/
oXtq8OizdKiJ7W7shay0zfInpDdau/6RUpoIQ5szQQd7e1cPpAlriCJnrSixsFG+
jcgMw3ouWt8j+8JuyuPfxk+7XD54lzZsr2D2eHdb48RmZ3DmFt1tx0oDFvGH6aTs
Cl9vamln7btuRSjzKBakY7pliePkT2oT211xXYSQAmN9zHbdtN6v2SBJ5acj7KcT
389ASPDZmkTiEKsFn9RJaiowNIU7IeFoT1We+PRBh8hAkW5yK4vci69Bh5EUiw1m
Tv4NXxYifxmK7HoiuKmRrRaj3fnybDIhjeq4XOs+TRrIfg+jzsZU0e86Wx91IWke
+cghL3aqwDLffn9KDtoQ9WSyEffPX4KApLfxOxJqXuRaK/xDc0dFArlw/JFz8Fyj
LMOwlGsm6uHLIEFfV/wy2mBWQiScZ0jqh3eLC93vIzEJDPVudXc=
=PGNa
-----END PGP SIGNATURE-----

--Apple-Mail=_4999E851-B0B7-4ED5-898A-C66731BA4074--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2021 20:26:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 15:26:02 2021
Received: from localhost ([127.0.0.1]:33284 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzQEr-0006Jr-N8
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:26:02 -0500
Received: from lists.gnu.org ([209.51.188.17]:51684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kzQEl-0006JU-9e
 for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:26:00 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:54670)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1kzQEk-0008Jz-2h
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 15:25:55 -0500
Received: from mx.sdf.org ([205.166.94.24]:65284)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1kzQEh-0003GP-Av
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 15:25:53 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTP id 10CKPdOl019416;
 Tue, 12 Jan 2021 20:25:40 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: "Kirill A. Korinsky" <kirill@HIDDEN>
Subject: Re: bug#45817: 28.0.50; Native fails
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <xjfturmc5dt.fsf@HIDDEN>
 <8D26BD1C-F176-4F8F-9D95-3035DBD9FB0C@HIDDEN>
Date: Tue, 12 Jan 2021 20:25:39 +0000
In-Reply-To: <8D26BD1C-F176-4F8F-9D95-3035DBD9FB0C@HIDDEN> (Kirill
 A. Korinsky's message of "Tue, 12 Jan 2021 21:05:10 +0100")
Message-ID: <xjfh7nldhrw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=205.166.94.24; envelope-from=akrl@HIDDEN;
 helo=mx.sdf.org
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 45817 <at> debbugs.gnu.org, "Kirill A. Korinsky via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

"Kirill A. Korinsky" <kirill@HIDDEN> writes:

> Here it is:
>
> =E2=88=9A ~ % emacs -batch -eval "(comp-subr-trampoline-install #'message=
)"
> Debugger entered--Lisp error: (native-compiler-error (lambda (arg0 &rest =
arg1) (let ((f #'message)) (apply f arg0 arg1)))
> "Compiling /Users/catap/.emacs.d/eln-cache/28.0.50-...")
>   signal(native-compiler-error ((lambda (arg0 &rest arg1) (let ((f #'mess=
age)) (apply f arg0 arg1))) "Compiling
> /Users/catap/.emacs.d/eln-cache/28.0.50-..."))
>   comp--native-compile((lambda (arg0 &rest arg1) (let ((f #'message)) (ap=
ply f arg0 arg1))) nil
> "/Users/catap/.emacs.d/eln-cache/28.0.50-x86_64-app...")
>   comp-trampoline-compile(message)
>   comp-subr-trampoline-install(message)
>   command-line-1(("-eval" "(comp-subr-trampoline-install #'message)"))
>   command-line()
>   normal-top-level()
>
> ? ~ %=20
>
> The last ? means that exit code wasn't zero

Yeah sorry, I've lost track of all messages I'm replying and thought
were two separate bugs, I think the right counter measure to this issue
is in my last message on this thread (LIBRARY_PATH).

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at 45817 <at> debbugs.gnu.org:


Received: (at 45817) by debbugs.gnu.org; 12 Jan 2021 20:25:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 15:25:51 2021
Received: from localhost ([127.0.0.1]:33281 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzQEh-0006JJ-Dl
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:25:51 -0500
Received: from mx.sdf.org ([205.166.94.24]:65295)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kzQEZ-0006J2-8g
 for 45817 <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:25:49 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTP id 10CKPdOl019416;
 Tue, 12 Jan 2021 20:25:40 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: "Kirill A. Korinsky" <kirill@HIDDEN>
Subject: Re: bug#45817: 28.0.50; Native fails
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <xjfturmc5dt.fsf@HIDDEN>
 <8D26BD1C-F176-4F8F-9D95-3035DBD9FB0C@HIDDEN>
Date: Tue, 12 Jan 2021 20:25:39 +0000
In-Reply-To: <8D26BD1C-F176-4F8F-9D95-3035DBD9FB0C@HIDDEN> (Kirill
 A. Korinsky's message of "Tue, 12 Jan 2021 21:05:10 +0100")
Message-ID: <xjfh7nldhrw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 45817
Cc: 45817 <at> debbugs.gnu.org, "Kirill A. Korinsky via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Kirill A. Korinsky" <kirill@HIDDEN> writes:

> Here it is:
>
> =E2=88=9A ~ % emacs -batch -eval "(comp-subr-trampoline-install #'message=
)"
> Debugger entered--Lisp error: (native-compiler-error (lambda (arg0 &rest =
arg1) (let ((f #'message)) (apply f arg0 arg1)))
> "Compiling /Users/catap/.emacs.d/eln-cache/28.0.50-...")
>   signal(native-compiler-error ((lambda (arg0 &rest arg1) (let ((f #'mess=
age)) (apply f arg0 arg1))) "Compiling
> /Users/catap/.emacs.d/eln-cache/28.0.50-..."))
>   comp--native-compile((lambda (arg0 &rest arg1) (let ((f #'message)) (ap=
ply f arg0 arg1))) nil
> "/Users/catap/.emacs.d/eln-cache/28.0.50-x86_64-app...")
>   comp-trampoline-compile(message)
>   comp-subr-trampoline-install(message)
>   command-line-1(("-eval" "(comp-subr-trampoline-install #'message)"))
>   command-line()
>   normal-top-level()
>
> ? ~ %=20
>
> The last ? means that exit code wasn't zero

Yeah sorry, I've lost track of all messages I'm replying and thought
were two separate bugs, I think the right counter measure to this issue
is in my last message on this thread (LIBRARY_PATH).

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at 45817 <at> debbugs.gnu.org:


Received: (at 45817) by debbugs.gnu.org; 12 Jan 2021 20:09:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 15:09:09 2021
Received: from localhost ([127.0.0.1]:33251 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzPyX-0005sO-9i
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:09:09 -0500
Received: from mx.sdf.org ([205.166.94.24]:49807)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kzPyW-0005sH-23
 for 45817 <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:09:08 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTP id 10CK97oT010556;
 Tue, 12 Jan 2021 20:09:07 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: "Kirill A. Korinsky" <kirill@HIDDEN>
Subject: Re: bug#45817: Acknowledgement (28.0.50; Native fails)
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <handler.45817.B.161046478816838.ack <at> debbugs.gnu.org>
 <67AE79B3-5FD0-46B9-91C9-31CD601FDF30@HIDDEN>
 <xjf5z42dmg2.fsf@HIDDEN>
 <0AE13615-3126-4BB7-BE69-C2DFB88AD7D6@HIDDEN>
Date: Tue, 12 Jan 2021 20:09:07 +0000
In-Reply-To: <0AE13615-3126-4BB7-BE69-C2DFB88AD7D6@HIDDEN> (Kirill
 A. Korinsky's message of "Tue, 12 Jan 2021 20:35:51 +0100")
Message-ID: <xjflfcxdijg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 45817
Cc: 45817 <at> debbugs.gnu.org, "Kirill A. Korinsky via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Kirill A. Korinsky" <kirill@HIDDEN> writes:

> Hey,
>
> The right path is /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib
>
> How can I add -L option to spcify path? :)

I think the easiest should be setting your LIBRARY_PATH

<https://gcc.gnu.org/onlinedocs/gcc/Environment-Variables.html#Environment-Variables>

Alternatively we have also  `comp-native-driver-options' from inside
Emacs, but I think the first is the better fix.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2021 20:09:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 15:09:15 2021
Received: from localhost ([127.0.0.1]:33254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzPyc-0005sh-Kk
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:09:15 -0500
Received: from lists.gnu.org ([209.51.188.17]:38580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kzPyb-0005sa-56
 for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:09:13 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:50950)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1kzPyb-00024D-10
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 15:09:13 -0500
Received: from mx.sdf.org ([205.166.94.24]:49805)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1kzPyY-0005ak-21
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 15:09:12 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTP id 10CK97oT010556;
 Tue, 12 Jan 2021 20:09:07 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: "Kirill A. Korinsky" <kirill@HIDDEN>
Subject: Re: bug#45817: Acknowledgement (28.0.50; Native fails)
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <handler.45817.B.161046478816838.ack <at> debbugs.gnu.org>
 <67AE79B3-5FD0-46B9-91C9-31CD601FDF30@HIDDEN>
 <xjf5z42dmg2.fsf@HIDDEN>
 <0AE13615-3126-4BB7-BE69-C2DFB88AD7D6@HIDDEN>
Date: Tue, 12 Jan 2021 20:09:07 +0000
In-Reply-To: <0AE13615-3126-4BB7-BE69-C2DFB88AD7D6@HIDDEN> (Kirill
 A. Korinsky's message of "Tue, 12 Jan 2021 20:35:51 +0100")
Message-ID: <xjflfcxdijg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=205.166.94.24; envelope-from=akrl@HIDDEN;
 helo=mx.sdf.org
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 45817 <at> debbugs.gnu.org, "Kirill A. Korinsky via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

"Kirill A. Korinsky" <kirill@HIDDEN> writes:

> Hey,
>
> The right path is /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib
>
> How can I add -L option to spcify path? :)

I think the easiest should be setting your LIBRARY_PATH

<https://gcc.gnu.org/onlinedocs/gcc/Environment-Variables.html#Environment-Variables>

Alternatively we have also  `comp-native-driver-options' from inside
Emacs, but I think the first is the better fix.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at 45817 <at> debbugs.gnu.org:


Received: (at 45817) by debbugs.gnu.org; 12 Jan 2021 19:38:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 14:38:44 2021
Received: from localhost ([127.0.0.1]:33199 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzPV5-00054e-Uq
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 14:38:44 -0500
Received: from mx.sdf.org ([205.166.94.24]:51374)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kzPV1-00054T-Pj
 for 45817 <at> debbugs.gnu.org; Tue, 12 Jan 2021 14:38:42 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTP id 10CJccId025500;
 Tue, 12 Jan 2021 19:38:38 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: "Kirill A. Korinsky" via "Bug reports for GNU Emacs, the Swiss army
 knife of text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#45817: 28.0.50; Native fails
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
Date: Tue, 12 Jan 2021 19:38:38 +0000
In-Reply-To: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN> (Kirill
 A. Korinsky's message of "Tue, 12 Jan 2021 16:04:29 +0100")
Message-ID: <xjfturmc5dt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 45817
Cc: 45817 <at> debbugs.gnu.org, "Kirill A. Korinsky" <kirill@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Kirill A. Korinsky" via "Bug reports for GNU Emacs, the Swiss army
knife of text editors" <bug-gnu-emacs@HIDDEN> writes:

> Good day,
>
> I've just upgraded emacs to last version of devel snapshot from emacs
> ports with native support with local git root
> 8ad983c4acef60a80e8d6b6ba891b1ef957f2d7c and discovered that it can't
> start nor my local config, nor emacs-doom. I haven't yet tried spacemacs
> but expected that it will be the same issue.

Hi Kirill,

the latest feature/native-comp is 42ff68ec2f.

Anyway I think to understand what's going on we need some minimal
reproducer.  Could you try running the followig and report the output
(if any)?

emacs -batch -eval "(comp-subr-trampoline-install #'message)"

Thanks!

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2021 19:38:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 14:38:47 2021
Received: from localhost ([127.0.0.1]:33202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzPV9-00054u-7R
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 14:38:47 -0500
Received: from lists.gnu.org ([209.51.188.17]:56288)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kzPV8-00054n-4I
 for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 14:38:46 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:42760)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1kzPV7-0001rZ-Tj
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 14:38:45 -0500
Received: from mx.sdf.org ([205.166.94.24]:51371)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1kzPV5-0003eT-Sn
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 14:38:45 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTP id 10CJccId025500;
 Tue, 12 Jan 2021 19:38:38 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: "Kirill A. Korinsky" via "Bug reports for GNU Emacs, the Swiss army
 knife of text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#45817: 28.0.50; Native fails
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
Date: Tue, 12 Jan 2021 19:38:38 +0000
In-Reply-To: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN> (Kirill
 A. Korinsky's message of "Tue, 12 Jan 2021 16:04:29 +0100")
Message-ID: <xjfturmc5dt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=205.166.94.24; envelope-from=akrl@HIDDEN;
 helo=mx.sdf.org
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 45817 <at> debbugs.gnu.org, "Kirill A. Korinsky" <kirill@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

"Kirill A. Korinsky" via "Bug reports for GNU Emacs, the Swiss army
knife of text editors" <bug-gnu-emacs@HIDDEN> writes:

> Good day,
>
> I've just upgraded emacs to last version of devel snapshot from emacs
> ports with native support with local git root
> 8ad983c4acef60a80e8d6b6ba891b1ef957f2d7c and discovered that it can't
> start nor my local config, nor emacs-doom. I haven't yet tried spacemacs
> but expected that it will be the same issue.

Hi Kirill,

the latest feature/native-comp is 42ff68ec2f.

Anyway I think to understand what's going on we need some minimal
reproducer.  Could you try running the followig and report the output
(if any)?

emacs -batch -eval "(comp-subr-trampoline-install #'message)"

Thanks!

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2021 18:45:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 13:45:06 2021
Received: from localhost ([127.0.0.1]:33115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzOfC-0003dD-Bf
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 13:45:06 -0500
Received: from lists.gnu.org ([209.51.188.17]:38784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kzOfB-0003d5-1G
 for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 13:45:05 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:57304)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1kzOf1-0002G8-Rg
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 13:44:58 -0500
Received: from mx.sdf.org ([205.166.94.24]:54187)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1kzOew-0001aM-7h
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 13:44:55 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTP id 10CIijQu020641;
 Tue, 12 Jan 2021 18:44:46 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: "Kirill A. Korinsky" via "Bug reports for GNU Emacs, the Swiss army
 knife of text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#45817: Acknowledgement (28.0.50; Native fails)
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <handler.45817.B.161046478816838.ack <at> debbugs.gnu.org>
 <67AE79B3-5FD0-46B9-91C9-31CD601FDF30@HIDDEN>
Date: Tue, 12 Jan 2021 18:44:45 +0000
In-Reply-To: <67AE79B3-5FD0-46B9-91C9-31CD601FDF30@HIDDEN> (Kirill
 A. Korinsky's message of "Tue, 12 Jan 2021 19:10:41 +0100")
Message-ID: <xjf5z42dmg2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=205.166.94.24; envelope-from=akrl@HIDDEN;
 helo=mx.sdf.org
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 45817 <at> debbugs.gnu.org, "Kirill A. Korinsky" <kirill@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

"Kirill A. Korinsky" via "Bug reports for GNU Emacs, the Swiss army
knife of text editors" <bug-gnu-emacs@HIDDEN> writes:

> I found a bit more logs:
>
> ld: library not found for -lSystem
> collect2: error: ld returned 1 exit status
> libgccjit.so: error: error invoking gcc driver
>
> Looks like the right fix is something like this:
> https://opensource.apple.com/source/dyld/dyld-97.1/include/mach-o/dyld-interposing.h.auto.html
>
> For example an issue that looks very similar with this one at Haskell: https://gitlab.haskell.org/ghc/ghc/-/issues/18446

Hi Kirill,

this looks like a system miss configuration.

By the way I don't recall anything changed in this respect so if it
worked in the past I guess something changed on your sys configuration.

Perhaps you've upgraded your OS?

Do you knwon where (and if) this library is on your system?

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at 45817 <at> debbugs.gnu.org:


Received: (at 45817) by debbugs.gnu.org; 12 Jan 2021 18:44:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 13:44:51 2021
Received: from localhost ([127.0.0.1]:33111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzOew-0003c6-Un
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 13:44:51 -0500
Received: from mx.sdf.org ([205.166.94.24]:54189)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kzOet-0003bv-6G
 for 45817 <at> debbugs.gnu.org; Tue, 12 Jan 2021 13:44:49 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTP id 10CIijQu020641;
 Tue, 12 Jan 2021 18:44:46 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: "Kirill A. Korinsky" via "Bug reports for GNU Emacs, the Swiss army
 knife of text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#45817: Acknowledgement (28.0.50; Native fails)
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <handler.45817.B.161046478816838.ack <at> debbugs.gnu.org>
 <67AE79B3-5FD0-46B9-91C9-31CD601FDF30@HIDDEN>
Date: Tue, 12 Jan 2021 18:44:45 +0000
In-Reply-To: <67AE79B3-5FD0-46B9-91C9-31CD601FDF30@HIDDEN> (Kirill
 A. Korinsky's message of "Tue, 12 Jan 2021 19:10:41 +0100")
Message-ID: <xjf5z42dmg2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 45817
Cc: 45817 <at> debbugs.gnu.org, "Kirill A. Korinsky" <kirill@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Kirill A. Korinsky" via "Bug reports for GNU Emacs, the Swiss army
knife of text editors" <bug-gnu-emacs@HIDDEN> writes:

> I found a bit more logs:
>
> ld: library not found for -lSystem
> collect2: error: ld returned 1 exit status
> libgccjit.so: error: error invoking gcc driver
>
> Looks like the right fix is something like this:
> https://opensource.apple.com/source/dyld/dyld-97.1/include/mach-o/dyld-interposing.h.auto.html
>
> For example an issue that looks very similar with this one at Haskell: https://gitlab.haskell.org/ghc/ghc/-/issues/18446

Hi Kirill,

this looks like a system miss configuration.

By the way I don't recall anything changed in this respect so if it
worked in the past I guess something changed on your sys configuration.

Perhaps you've upgraded your OS?

Do you knwon where (and if) this library is on your system?

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at 45817 <at> debbugs.gnu.org:


Received: (at 45817) by debbugs.gnu.org; 12 Jan 2021 18:18:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 13:18:06 2021
Received: from localhost ([127.0.0.1]:33075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzOF3-0002uL-Li
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 13:18:06 -0500
Received: from sender4-op-o13.zoho.com ([136.143.188.13]:17352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kirill@HIDDEN>) id 1kzO83-0002ih-Dx
 for 45817 <at> debbugs.gnu.org; Tue, 12 Jan 2021 13:10:52 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1610475049; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=HeIORa0uMOAocJzigb35LH5T2hEqAdz1xDIF43JcS8LO7h3INxxGku0OLaSJe7lQQWlow2DA0DM/sjboUn6KrRWl3GR+cBMD1MCGGjPtA6aUzT2z5ApvlA3DJpPQMmJDLXN1xQTHcnMgLBy+OgVHTJe2sXgyXYQh63ugoONWN/o=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1610475049;
 h=Content-Type:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=dtRiU2sR7k9haOMCNidLMKIkVzw0Gn8TFhb9GEHysuk=; 
 b=hHhLucv9eN+mWpHDy3Fy2Z5I4X6qQfmk5rl97nuekGkksPiA01Y0WjDsIuBuMzMcvr+MmeUamsCYyqtd6Fg19Oar6ZLJAq9ix9iMu6nUZBwMiyg//a8N7TzN/GnWADwsEvo9vN4Vdzh2gTLxVGgd+VNxFc+sMNiyRJu5rCKqHac=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=korins.ky;
 spf=pass  smtp.mailfrom=kirill@HIDDEN;
 dmarc=pass header.from=<kirill@HIDDEN> header.from=<kirill@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1610475049; 
 s=april2018zoho; d=korins.ky; i=kirill@HIDDEN;
 h=From:Message-Id:Content-Type:Mime-Version:Date:Subject:In-Reply-To:To:References;
 bh=dtRiU2sR7k9haOMCNidLMKIkVzw0Gn8TFhb9GEHysuk=;
 b=Zaz0IV9oANvmHUNYkJwiLTUXkSM3zGsqhw8Ch3npMVbzJbRhdwjC/RDIY7mA4V4A
 Wk6IAvo2kSDUMtyfK07n6kPug3QR7JYikNUi6JxOizyoLWu0JlYdhZ0Czot/Xz53f8o
 yD42EPbOvvXKXdjNLe9OEixZn52CAo809y2HmnYs=
Received: from macbook-pro.sa31-home.catap.net (sa31.catap.net
 [90.187.54.213]) by mx.zohomail.com
 with SMTPS id 1610475047363304.4490187763647;
 Tue, 12 Jan 2021 10:10:47 -0800 (PST)
From: "Kirill A. Korinsky" <kirill@HIDDEN>
Message-Id: <67AE79B3-5FD0-46B9-91C9-31CD601FDF30@HIDDEN>
Content-Type: multipart/signed;
 boundary="Apple-Mail=_40215A7E-C096-4E69-9A23-74E578DF02CA";
 protocol="application/pgp-signature"; micalg=pgp-sha512
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.40.0.2.32\))
Date: Tue, 12 Jan 2021 19:10:41 +0100
Subject: Re: bug#45817: Acknowledgement (28.0.50; Native fails)
In-Reply-To: <handler.45817.B.161046478816838.ack <at> debbugs.gnu.org>
To: 45817 <at> debbugs.gnu.org
References: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
 <handler.45817.B.161046478816838.ack <at> debbugs.gnu.org>
X-Mailer: Apple Mail (2.3654.40.0.2.32)
X-Zoho-Virus-Status: 1
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45817
X-Mailman-Approved-At: Tue, 12 Jan 2021 13:18:05 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--Apple-Mail=_40215A7E-C096-4E69-9A23-74E578DF02CA
Content-Type: multipart/alternative;
	boundary="Apple-Mail=_96137FFA-5AB9-4E28-9B27-A0F14966015B"


--Apple-Mail=_96137FFA-5AB9-4E28-9B27-A0F14966015B
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

I found a bit more logs:

ld: library not found for -lSystem
collect2: error: ld returned 1 exit status
libgccjit.so: error: error invoking gcc driver


Looks like the right fix is something like this: =
https://opensource.apple.com/source/dyld/dyld-97.1/include/mach-o/dyld-int=
erposing.h.auto.html =
<https://opensource.apple.com/source/dyld/dyld-97.1/include/mach-o/dyld-in=
terposing.h.auto.html>

For example an issue that looks very similar with this one at Haskell: =
https://gitlab.haskell.org/ghc/ghc/-/issues/18446 =
<https://gitlab.haskell.org/ghc/ghc/-/issues/18446>


--
wbr, Kirill

> On 12. Jan 2021, at 16:20, GNU bug Tracking System =
<help-debbugs@HIDDEN> wrote:
>=20
> Thank you for filing a new bug report with debbugs.gnu.org.
>=20
> This is an automatically generated reply to let you know your message
> has been received.
>=20
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
>=20
> Your message has been sent to the package maintainer(s):
> bug-gnu-emacs@HIDDEN
>=20
> If you wish to submit further information on this problem, please
> send it to 45817 <at> debbugs.gnu.org.
>=20
> Please do not send mail to help-debbugs@HIDDEN unless you wish
> to report a problem with the Bug-tracking system.
>=20
> --
> 45817: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D45817
> GNU Bug Tracking System
> Contact help-debbugs@HIDDEN with problems


--Apple-Mail=_96137FFA-5AB9-4E28-9B27-A0F14966015B
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=us-ascii

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dus-ascii"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D"">I =
found a bit more logs:<div class=3D""><br class=3D""></div><div =
class=3D"">ld: library not found for -lSystem</div><div =
class=3D"">collect2: error: ld returned 1 exit status</div><div =
class=3D"">libgccjit.so: error: error invoking gcc driver</div><div =
class=3D""><br class=3D""></div><div class=3D""><br class=3D""></div><div =
class=3D"">Looks like the right fix is something like this:&nbsp;<a =
href=3D"https://opensource.apple.com/source/dyld/dyld-97.1/include/mach-o/=
dyld-interposing.h.auto.html" =
class=3D"">https://opensource.apple.com/source/dyld/dyld-97.1/include/mach=
-o/dyld-interposing.h.auto.html</a></div><div class=3D""><br =
class=3D""></div><div class=3D"">For example an issue that looks very =
similar with this one at Haskell:&nbsp;<a =
href=3D"https://gitlab.haskell.org/ghc/ghc/-/issues/18446" =
class=3D"">https://gitlab.haskell.org/ghc/ghc/-/issues/18446</a></div><div=
 class=3D""><br class=3D""></div><div class=3D""><br class=3D""><div =
class=3D"">
<div style=3D"caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0); =
font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
orphans: auto; text-align: start; text-indent: 0px; text-transform: =
none; white-space: normal; widows: auto; word-spacing: 0px; =
-webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px; =
text-decoration: none;">--&nbsp;<br class=3D"">wbr, Kirill</div>

</div>

<div><br class=3D""><blockquote type=3D"cite" class=3D""><div =
class=3D"">On 12. Jan 2021, at 16:20, GNU bug Tracking System &lt;<a =
href=3D"mailto:help-debbugs@HIDDEN" =
class=3D"">help-debbugs@HIDDEN</a>&gt; wrote:</div><br =
class=3D"Apple-interchange-newline"><div class=3D""><div class=3D"">Thank =
you for filing a new bug report with <a href=3D"http://debbugs.gnu.org" =
class=3D"">debbugs.gnu.org</a>.<br class=3D""><br class=3D"">This is an =
automatically generated reply to let you know your message<br =
class=3D"">has been received.<br class=3D""><br class=3D"">Your message =
is being forwarded to the package maintainers and other<br =
class=3D"">interested parties for their attention; they will reply in =
due course.<br class=3D""><br class=3D"">Your message has been sent to =
the package maintainer(s):<br class=3D""> <a =
href=3D"mailto:bug-gnu-emacs@HIDDEN" =
class=3D"">bug-gnu-emacs@HIDDEN</a><br class=3D""><br class=3D"">If you =
wish to submit further information on this problem, please<br =
class=3D"">send it to <a href=3D"mailto:45817 <at> debbugs.gnu.org" =
class=3D"">45817 <at> debbugs.gnu.org</a>.<br class=3D""><br class=3D"">Please =
do not send mail to <a href=3D"mailto:help-debbugs@HIDDEN" =
class=3D"">help-debbugs@HIDDEN</a> unless you wish<br class=3D"">to =
report a problem with the Bug-tracking system.<br class=3D""><br =
class=3D"">-- <br class=3D"">45817: <a =
href=3D"http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D45817" =
class=3D"">http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D45817</a><br =
class=3D"">GNU Bug Tracking System<br class=3D"">Contact <a =
href=3D"mailto:help-debbugs@HIDDEN" class=3D"">help-debbugs@HIDDEN</a> =
with problems<br class=3D""></div></div></blockquote></div><br =
class=3D""></div></body></html>=

--Apple-Mail=_96137FFA-5AB9-4E28-9B27-A0F14966015B--

--Apple-Mail=_40215A7E-C096-4E69-9A23-74E578DF02CA
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEE3/KLNtcfWfLw7JxqmNjZhndZIm4FAl/95iEACgkQmNjZhndZ
Im59tQ//ZEgwZW+HnrkVig5T8SavP5w2PApt9g6f/NWFfQ+K8UZHHlVIC4dmLfUa
+syECEpg8a+gDv1miMToh0xHfl1REQNXQf4PRzxLD5STgr7hpm9WPSfImXsHomKd
dKL3UchQgmo0TEF2oBNU4/8qXRPNrWn3iLb9t/9nzkYI2NL3WBQuTvIBV+vsv6gU
/bwO6BG8P/nKsEgZh31nUjDBiUn4CloZsC0768RKpsnc5dV5H8+91I8OyUkjY2qt
uWMakW1Z2tluEZHkLPx4kYJgxYGjv0lQU8wbkZAdGl2IKL3Qjgw4L4BcxoxoO32B
2+zjXzCYRnJzANKjX8Sl/R2LKp59bOncvggCFUrJKnlfiM0XoKCTsiGyFYDPzWz7
zvHJKCfWkVPpIwrlmadWiD1x35dgZ3bHsqo6uPT9/JMq61LO47Tc4ZBdoAZfq/8b
l/j+0/1pN+VZiHu4WNycn8093FTXipkklNm2MSPk1S+4vcjhT19RTgdCPAYlswoF
IYewaeXdEZU5urDnvH74z/qsILNgJWuMuTXKdlKF6QfccI1DB5jkTcUp5wf4++9J
zlr1CHV9IeZfCEPwuMnzS5aE/DZT7kpryn4c3pAIr5K4vcCqw+nCvrnE1XdoqL7H
swsi3gozR9q17W+s5gu4q7pSK9aSkIdoTF7JvQZW0ZSdvTonQak=
=qCq4
-----END PGP SIGNATURE-----

--Apple-Mail=_40215A7E-C096-4E69-9A23-74E578DF02CA--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2021 15:19:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 10:19:48 2021
Received: from localhost ([127.0.0.1]:32855 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzLSU-0004NV-A9
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 10:19:47 -0500
Received: from lists.gnu.org ([209.51.188.17]:46432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kirill@HIDDEN>) id 1kzLDx-000405-1l
 for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 10:04:45 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:58294)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kirill@HIDDEN>) id 1kzLDw-000091-NI
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 10:04:44 -0500
Received: from sender4-op-o12.zoho.com ([136.143.188.12]:17279)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kirill@HIDDEN>) id 1kzLDu-0007Uq-6X
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 10:04:44 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1610463875; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=LTwegjCMHhX+yzXAsZpeNlMod/DRglUrz0un10NI8rEhMLhzP4DCO/g4JqjaKLFyxTPUAHrsHuG3TCMLIGmNy7Y0X5CIYTIKhsTRwSx63ss90JCqigHjruozoG3iptMH2QCECEH2k//JJ6X6HLhCACcaxXsUyrAU3TOdyQXxqSQ=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; 
 t=1610463875; h=Content-Type:Date:From:MIME-Version:Message-ID:Subject:To; 
 bh=9WgWpkqeFpGk6psRWQ75/VRDMcmnms4y48DhRcKgv0Y=; 
 b=M3VGcmlUWBQUa8+hx1t53TnvVaAhP5BA1m7BPpeTG4RGE6TtpAuuxsDEK7ZcPtLhNuM/wlW0p4IEGB4aAcOs2X19cAzMmPVVKikzgAD6JUOaXcKqHXo8AlPtZvW1OXVuK113HvuLJ/uyVmB57cK0Gj+IRY1aEghKKaFjHiliDNs=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=korins.ky;
 spf=pass  smtp.mailfrom=kirill@HIDDEN;
 dmarc=pass header.from=<kirill@HIDDEN> header.from=<kirill@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1610463875; 
 s=april2018zoho; d=korins.ky; i=kirill@HIDDEN;
 h=From:Content-Type:Mime-Version:Date:Subject:Message-Id:To;
 bh=9WgWpkqeFpGk6psRWQ75/VRDMcmnms4y48DhRcKgv0Y=;
 b=lOKpv5uKlIdiWKYspM+XG9RJqWntSJ+UkylICJEmvPPN5/uegTkbJAOIaxRRgV+U
 Tei0A4VsuR/9m6/bdxqgoc8F13ING3cGrGOQsLvhw1vCGP4U5mZ+W9CB6XtY6XM9qd3
 CujWrtkSzy6K1puawMef8m03YQxpLDlJnlNgjcRk=
Received: from macbook-pro.sa31-cbt.catap.net (sa31.catap.net [90.187.54.213])
 by mx.zohomail.com with SMTPS id 1610463873358598.8308703061762;
 Tue, 12 Jan 2021 07:04:33 -0800 (PST)
From: "Kirill A. Korinsky" <kirill@HIDDEN>
Content-Type: multipart/signed;
 boundary="Apple-Mail=_863C12F1-DA67-4792-9E77-0E99FB5E1E0D";
 protocol="application/pgp-signature"; micalg=pgp-sha512
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.40.0.2.32\))
Date: Tue, 12 Jan 2021 16:04:29 +0100
Subject: 28.0.50; Native fails
Message-Id: <B87F7BCB-BC7F-411C-B79E-FBDF4C0DAFA8@HIDDEN>
To: "Kirill A. Korinsky via Bug reports for GNU Emacs, the Swiss army knife of
 text editors" <bug-gnu-emacs@HIDDEN>
X-Mailer: Apple Mail (2.3654.40.0.2.32)
X-Zoho-Virus-Status: 1
X-ZohoMailClient: External
Received-SPF: pass client-ip=136.143.188.12; envelope-from=kirill@HIDDEN;
 helo=sender4-op-o12.zoho.com
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, HEXHASH_WORD=1,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H4=0.001,
 RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 12 Jan 2021 10:19:45 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--Apple-Mail=_863C12F1-DA67-4792-9E77-0E99FB5E1E0D
Content-Type: multipart/alternative;
	boundary="Apple-Mail=_1BF68346-2D27-4BF1-811E-35D25CE25F3D"


--Apple-Mail=_1BF68346-2D27-4BF1-811E-35D25CE25F3D
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

Good day,

I've just upgraded emacs to last version of devel snapshot from emacs
ports with native support with local git root
8ad983c4acef60a80e8d6b6ba891b1ef957f2d7c and discovered that it can't
start nor my local config, nor emacs-doom. I haven't yet tried spacemacs
but expected that it will be the same issue.

For example with doom-emacs local git root
fc184852d0236769c971e94ec5ec220d8cd24fd1 I have error:

x There was an unexpected error
  Message: Native compiler error
  Data: (native-compiler-error lambda (arg5 &rest arg6) (let ((f =
#'message)) (apply f arg5 arg6)))
  Backtrace:
    (signal native-compiler-error ((lambda (arg5 &rest arg6) (let ((f =
#'messag
    (comp--native-compile (lambda (arg5 &rest arg6) (let ((f #'message)) =
(appl
    (comp-trampoline-compile message)
    (comp-subr-trampoline-install message)
    (fset message (closure ((message . #<subr message>) (log-buffer . =
#<buffer
    (progn (fset #'message vnew) (ignore message) (unwind-protect (catch =
'exit
    (unwind-protect (progn (fset #'message vnew) (ignore message) =
(unwind-prot
    (let* ((vnew #'(lambda (msg &rest args) (save-current-buffer =
(set-buffer l
    (let ((message (symbol-function #'message))) (let* ((vnew #'(lambda =
(msg &
    (let* ((log-buffer (generate-new-buffer " *doom log*")) =
(standard-output #


you can easy achive it by run bin/doom sync



In GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin20.1.0, NS =
appkit-2022.10 Version 11.0.1 (Build 20B29))
of 2021-01-06 built on bigsurx.internal.macports.net
Repository revision: 80e26472206cc44837521ba594cd50e724d9af5c
Repository branch: HEAD
Windowing system distributor 'Apple', version 10.3.2022
System Description:  macOS 11.1

Configured using:
'configure --prefix=3D/opt/local --disable-silent-rules --without-dbus
--without-gconf --without-libotf --without-m17n-flt --with-gmp
--with-gnutls --with-json --with-xml2 --with-modules --infodir
/opt/local/share/info/emacs --with-ns --with-lcms2 --without-harfbuzz
--without-imagemagick --without-xaw3d --with-rsvg 'CFLAGS=3D-pipe -Os
-isysroot/Library/Developer/CommandLineTools/SDKs/MacOSX11.0.sdk -arch
x86_64' 'CPPFLAGS=3D-I/opt/local/include
-isysroot/Library/Developer/CommandLineTools/SDKs/MacOSX11.0.sdk'
'LDFLAGS=3D-L/opt/local/lib -Wl,-headerpad_max_install_names -Wl,-no_pie
-Wl,-syslibroot,/Library/Developer/CommandLineTools/SDKs/MacOSX11.0.sdk
-arch x86_64''

Configured features:
JPEG TIFF GIF PNG RSVG GLIB NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS XIM NS MODULES THREADS JSON PDUMPER LCMS2

Important settings:
  value of $LANG: en_DE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml easymenu mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs auth-source cl-seq eieio eieio-core eieio-loaddefs
password-cache json map text-property-search time-date mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
warnings core core-lib pcase cl-macs cl-loaddefs cl-lib subr-x chemacs
seq byte-opt gv bytecomp byte-compile cconv iso-transl tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/ns-win
ns-win ucs-normalize mule-util term/common-win tool-bar dnd fontset
image regexp-opt fringe tabulated-list replace newcomment text-mode
elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads kqueue
cocoa ns lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 56202 65901)
(symbols 48 6980 30)
(strings 32 18794 8672)
(string-bytes 1 631184)
(vectors 16 11754)
(vector-slots 8 172409 91859)
(floats 8 28 310)
(intervals 56 235 64)
(buffers 984 12))


--
wbr, Kirill


--Apple-Mail=_1BF68346-2D27-4BF1-811E-35D25CE25F3D
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=us-ascii

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dus-ascii"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D"">
Good day,<br class=3D""><br class=3D"">I've just upgraded emacs to last =
version of devel snapshot from emacs<br class=3D"">ports with native =
support with local git root<br =
class=3D"">8ad983c4acef60a80e8d6b6ba891b1ef957f2d7c and discovered that =
it can't<br class=3D"">start nor my local config, nor emacs-doom. I =
haven't yet tried spacemacs<br class=3D"">but expected that it will be =
the same issue.<br class=3D""><br class=3D"">For example with doom-emacs =
local git root<br class=3D"">fc184852d0236769c971e94ec5ec220d8cd24fd1 I =
have error:<br class=3D""><br class=3D"">x There was an unexpected =
error<br class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
Message: Native compiler error<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> Data: =
(native-compiler-error lambda (arg5 &amp;rest arg6) (let ((f #'message)) =
(apply f arg5 arg6)))<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> Backtrace:<br =
class=3D""><span class=3D"Apple-converted-space">&nbsp;&nbsp;&nbsp;</span>=
 (signal native-compiler-error ((lambda (arg5 &amp;rest arg6) (let ((f =
#'messag<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;&nbsp;&nbsp;</span> =
(comp--native-compile (lambda (arg5 &amp;rest arg6) (let ((f #'message)) =
(appl<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;&nbsp;&nbsp;</span> =
(comp-trampoline-compile message)<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;&nbsp;&nbsp;</span> =
(comp-subr-trampoline-install message)<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;&nbsp;&nbsp;</span> (fset message =
(closure ((message . #&lt;subr message&gt;) (log-buffer . #&lt;buffer<br =
class=3D""><span class=3D"Apple-converted-space">&nbsp;&nbsp;&nbsp;</span>=
 (progn (fset #'message vnew) (ignore message) (unwind-protect (catch =
'exit<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;&nbsp;&nbsp;</span> =
(unwind-protect (progn (fset #'message vnew) (ignore message) =
(unwind-prot<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;&nbsp;&nbsp;</span> (let* ((vnew =
#'(lambda (msg &amp;rest args) (save-current-buffer (set-buffer l<br =
class=3D""><span class=3D"Apple-converted-space">&nbsp;&nbsp;&nbsp;</span>=
 (let ((message (symbol-function #'message))) (let* ((vnew #'(lambda =
(msg &amp;<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;&nbsp;&nbsp;</span> (let* =
((log-buffer (generate-new-buffer " *doom log*")) (standard-output #<br =
class=3D""><br class=3D""><br class=3D"">you can easy achive it by run =
bin/doom sync<br class=3D""><br class=3D""><br class=3D""><br =
class=3D"">In GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin20.1.0, NS =
appkit-2022.10 Version 11.0.1 (Build 20B29))<br class=3D""> of =
2021-01-06 built on <a href=3D"http://bigsurx.internal.macports.net" =
class=3D"">bigsurx.internal.macports.net</a><br class=3D"">Repository =
revision: 80e26472206cc44837521ba594cd50e724d9af5c<br =
class=3D"">Repository branch: HEAD<br class=3D"">Windowing system =
distributor 'Apple', version 10.3.2022<br class=3D"">System =
Description:<span class=3D"Apple-converted-space">&nbsp;</span> macOS =
11.1<br class=3D""><br class=3D"">Configured using:<br class=3D""> =
'configure --prefix=3D/opt/local --disable-silent-rules =
--without-dbus<br class=3D""> --without-gconf --without-libotf =
--without-m17n-flt --with-gmp<br class=3D""> --with-gnutls --with-json =
--with-xml2 --with-modules --infodir<br class=3D""> =
/opt/local/share/info/emacs --with-ns --with-lcms2 --without-harfbuzz<br =
class=3D""> --without-imagemagick --without-xaw3d --with-rsvg =
'CFLAGS=3D-pipe -Os<br class=3D""> =
-isysroot/Library/Developer/CommandLineTools/SDKs/MacOSX11.0.sdk =
-arch<br class=3D""> x86_64' 'CPPFLAGS=3D-I/opt/local/include<br =
class=3D""> =
-isysroot/Library/Developer/CommandLineTools/SDKs/MacOSX11.0.sdk'<br =
class=3D""> 'LDFLAGS=3D-L/opt/local/lib -Wl,-headerpad_max_install_names =
-Wl,-no_pie<br class=3D""> =
-Wl,-syslibroot,/Library/Developer/CommandLineTools/SDKs/MacOSX11.0.sdk<br=
 class=3D""> -arch x86_64''<br class=3D""><br class=3D"">Configured =
features:<br class=3D"">JPEG TIFF GIF PNG RSVG GLIB NOTIFY KQUEUE ACL =
GNUTLS LIBXML2 ZLIB<br class=3D"">TOOLKIT_SCROLL_BARS XIM NS MODULES =
THREADS JSON PDUMPER LCMS2<br class=3D""><br class=3D"">Important =
settings:<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> value of $LANG: =
en_DE.UTF-8<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> locale-coding-system: =
utf-8-unix<br class=3D""><br class=3D"">Major mode: Fundamental<br =
class=3D""><br class=3D"">Minor modes in effect:<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> tooltip-mode: t<br =
class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
global-eldoc-mode: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> electric-indent-mode: t<br =
class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
mouse-wheel-mode: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> tool-bar-mode: t<br =
class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
menu-bar-mode: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> file-name-shadow-mode: =
t<br class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
global-font-lock-mode: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> font-lock-mode: t<br =
class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
blink-cursor-mode: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> auto-composition-mode: =
t<br class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
auto-encryption-mode: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> auto-compression-mode: =
t<br class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
line-number-mode: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> transient-mark-mode: t<br =
class=3D""><br class=3D"">Load-path shadows:<br class=3D"">None =
found.<br class=3D""><br class=3D"">Features:<br class=3D"">(shadow sort =
mail-extr emacsbug message rmc puny dired dired-loaddefs<br =
class=3D"">rfc822 mml easymenu mml-sec epa derived epg epg-config =
gnus-util rmail<br class=3D"">rmail-loaddefs auth-source cl-seq eieio =
eieio-core eieio-loaddefs<br class=3D"">password-cache json map =
text-property-search time-date mm-decode<br class=3D"">mm-bodies =
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader<br =
class=3D"">sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr =
mail-utils<br class=3D"">warnings core core-lib pcase cl-macs =
cl-loaddefs cl-lib subr-x chemacs<br class=3D"">seq byte-opt gv bytecomp =
byte-compile cconv iso-transl tooltip eldoc<br class=3D"">electric =
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/ns-win<br =
class=3D"">ns-win ucs-normalize mule-util term/common-win tool-bar dnd =
fontset<br class=3D"">image regexp-opt fringe tabulated-list replace =
newcomment text-mode<br class=3D"">elisp-mode lisp-mode prog-mode =
register page tab-bar menu-bar<br class=3D"">rfn-eshadow isearch timer =
select scroll-bar mouse jit-lock font-lock<br class=3D"">syntax facemenu =
font-core term/tty-colors frame minibuffer cl-generic<br class=3D"">cham =
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao<br =
class=3D"">korean japanese eucjp-ms cp51932 hebrew greek romanian slovak =
czech<br class=3D"">european ethiopic indian cyrillic chinese composite =
charscript charprop<br class=3D"">case-table epa-hook jka-cmpr-hook help =
simple abbrev obarray<br class=3D"">cl-preloaded nadvice button loaddefs =
faces cus-face macroexp files<br class=3D"">window text-properties =
overlay sha1 md5 base64 format env code-pages<br class=3D"">mule custom =
widget hashtable-print-readable backquote threads kqueue<br =
class=3D"">cocoa ns lcms2 multi-tty make-network-process emacs)<br =
class=3D""><br class=3D"">Memory information:<br class=3D"">((conses 16 =
56202 65901)<br class=3D""> (symbols 48 6980 30)<br class=3D""> (strings =
32 18794 8672)<br class=3D""> (string-bytes 1 631184)<br class=3D""> =
(vectors 16 11754)<br class=3D""> (vector-slots 8 172409 91859)<br =
class=3D""> (floats 8 28 310)<br class=3D""> (intervals 56 235 64)<br =
class=3D""> (buffers 984 12))<br class=3D"">

<br class=3D""><br class=3D""><div class=3D"">
<div style=3D"caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0); =
font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
orphans: auto; text-align: start; text-indent: 0px; text-transform: =
none; white-space: normal; widows: auto; word-spacing: 0px; =
-webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px; =
text-decoration: none;">--&nbsp;<br class=3D"">wbr, Kirill</div>

</div>
<br class=3D""></body></html>=

--Apple-Mail=_1BF68346-2D27-4BF1-811E-35D25CE25F3D--

--Apple-Mail=_863C12F1-DA67-4792-9E77-0E99FB5E1E0D
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEE3/KLNtcfWfLw7JxqmNjZhndZIm4FAl/9un0ACgkQmNjZhndZ
Im6qxw//Xr5HG1W9NJA+BOKw/dzDZSPucSIT91pIMR8+rRe87kBWHNeOLpJrwjbW
0L87T6qaXCT2fCHMghuQOtNWUC/3jnnhzXkaKDqItleRfv6fG/LZ1QXJKmJGkpxm
FfS329/5IZ/NY0LBN21EtNB7Prw3m7pBXw1Av78ZYVQbK25a4AxkL2cDNzoWAGpl
b6idh+426W5sGXq3eAP4UE68dTM5ECTvRTkwNEYPedCCxHKHrwMFw+tx93DYBHtj
zYVtcxlpaoMH8C1Cu9mtKilkiqG7jtmLfzRz86Kfao/KC05oiNlZdtsEQ8zGA6A1
8AQ8AJj8D5AIB25ONMs2CHkQoma/wBD56twA5DElEURolg7AYQLuzUh4Dn3GSAV6
J5898hdPtQyvyz5UnHvC/C2PVWK4pb1L43nrhSSEhYGA+296RysrGPaQpDp0hdOU
j2vBy5E7vX/n6B9P6WjQ2zRPcNXa8moqNP64l/JAjjP0U9PskftklwxgfvccxelE
6o/6pJM8LuBtsVqA2ZUNnzdsYHHJk2yc1MmXFETkkXyXTS6KLye5UmrBLSKPBqLZ
sAFevVZoe4St6/C9RM089ZMP1IRhZkV6rrerz7f7jTRxeqRx5hWUei7g1uCyXP7q
bz9gFp8NEw7m6IuJ+DVzd1BZ4JYWSTTM/klzSJxp7G+9HHRW6o4=
=mIv3
-----END PGP SIGNATURE-----

--Apple-Mail=_863C12F1-DA67-4792-9E77-0E99FB5E1E0D--




Acknowledgement sent to "Kirill A. Korinsky" <kirill@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45817; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 14 Jan 2021 14:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.